AutoCAD STEP 2010

Mapping Tables
AutoCAD STEP 2010
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Mapping Tables
  • Topics
  • Dialog Boxes
  • Reference
Please send us your comment about this page


Mapping Tables

AutoCAD STEP 2010
AutoCAD STEP 2010
STEPIN Mapping Information and Table
AutoCAD STEP 2010 >
Mapping Tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • STEPIN Mapping Information and Table
  • STEPOUT Mapping Information and Table


STEPIN Mapping Information and Table

Mapping Tables
Mapping Tables
STEPOUT Mapping Information and Table
AutoCAD STEP 2010 > Mapping Tables >
STEPIN Mapping Information and Table
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Display Mapping Table

The STEPIN Mapping Table contains all STEP entities that are supported under AP203 conformance classes 2, 4, and 6 and AP214 conformance class 2, along with their mappings in AutoCAD and the Mechanical Desktop. It is arranged in alphabetical order by STEP entity long name.

AP203 Mappings

The AutoCAD STEP Translator supports conformance classes 2, 4 and 6. Please see AP203 Conformance Classes for more information about these conformance classes. See Common Mappings below for information about mappings common to AP203 and AP214.

AP214 Mappings

For AP214, only Conformance Class 2 geometry, assemblies, colors, layers and groups are currently supported. CC2 geometry includes shape representation using 3D wireframe, surface and B-rep models. Please see AP214 Conformance Classes for more information about this conformance class. See Common Mappings below for information about mappings common to AP203 and AP214 conformance classes.

Colors, layers and groups

STEPIN for AP214 supports color, layer and group properties. The STEP color entities are: COLOUR, COLOUR_RGB, DRAUGHTING_PRE_DEFINED_COLOUR, FILL_AREA_STYLE_COLOUR, MECHANICAL_DESIGN_GEOMETRIC_PRESENTATION_REPRESENTATION, PRE_DEFINED_COLOUR, PRESENTATION_STYLE_ASSIGNMENT, STYLED_ITEM, and SURFACE_STYLE_FILL_AREA. The STEP layer entity is PRESENTATION_LAYER_ASSIGNMENT, and the group entity is AUTO_DESIGN_GROUP_ASSIGNMENT in AP214 CD and AUTO_DESIGN_GROUP_ASSIGNMENT in AP214 DIS. There are some limitations in how colors, layers and groups are mapped. Please see Color, Layer and Group for more information. Also, AP214 offers support for linetypes, but this release of the STEP Translator does not support them.

AP214 CD and DIS Versions

Since the previous release of the STEP Translator, the standard for AP214 has moved a step toward becoming a final International Standard. It has moved from Committee Draft (CD) to Draft International Standard (DIS). International Standards are developed by ISO technical committees and subcommittees using a six-stage process: the Proposal stage, the Preparatory stage, the Committee stage, the Enquiry stage, the Approval stage, and the Publication stage. The CD is produced during the first phase in the Committee Stage, and the publication of the DIS is the final step in that stage.

The changes made between the CD and DIS versions of AP214 were made primarily to synchronize AP214 with other APs. Currently either version should offer the same quality of data exchange. However, because the new implementations of draughting, notes and validation properties are based exclusively on the DIS, the DIS version will offer more functionality in the future.

You can select either the CD or DIS version when exporting data using STEPOUT. STEP files using either version can be imported using STEPIN.

Common Mappings

The mapping information in the table applies to all supported AP203 and AP214 conformance classes.

B-Rep Solids

STEPIN maps all STEP B-rep solids to AutoCAD 3D solids. In the Mechanical Desktop environment, these solids are then used to create Mechanical Desktop Parts. Currently there is little production experience with data exchange using boundary representations. Because of this and also because of known differences between how different CAD systems handle B-reps, please take extra care in examining the results of B-rep translations.

Assemblies in AutoCAD

STEPIN maps all STEP assembly structures to AutoCAD blocks and block references. These can contain any combination of wireframe, surface and solid data. Each individual product in an input STEP file is translated into an AutoCAD block, which is then referenced from model space. The name of the AutoCAD block will be the same as the name of the product in the STEP file, unless the STEP product name has spaces or exceeds the AutoCAD character limit. If it has spaces, they are replaced with underbar ( _ ) characters, and names longer than the limit are truncated. If this truncation results in identically named blocks, a unique name is assigned to one of the blocks.

Assemblies in Mechanical Desktop

The Mechanical Desktop has two environments into which STEP files can be translated: the part environment and the assembly environment. In the part environment, STEP assembly structure mappings are the same as those for AutoCAD (described in the Assemblies in AutoCAD section above). No Desktop-specific data is created. In the assembly environment, STEPIN maps solids into the Desktop component/assembly structure, while non-solid data is mapped to blocks and block references. Instance names in the input STEP file are preserved and used as names for the component/assembly instances created in the .dwg file.

NoteSTEP instance names are only preserved when STEP assembly structures are mapped to Mechanical Desktop assemblies. These instance names are lost when assembly structures are mapped to blocks and block references.


STEPOUT Mapping Information and Table

STEPIN Mapping Information and Table
Mapping Tables
Topics
AutoCAD STEP 2010 > Mapping Tables >
STEPOUT Mapping Information and Table
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Display Mapping Table

The STEPOUT Mapping Table contains AutoCAD and Mechanical Desktop entities that are supported by the AutoCAD STEP Translator, along with their mappings in AP203 conformance classes 2, 4 and 6 and AP214 conformance class 2. It is arranged in alphabetical order by AutoCAD/Mechanical Desktop entity name.

AP203 Mappings

STEPOUT maps all 3D solids and Mechanical Desktop parts to:

  • surfaces when AP203 Conformance Class 2 is selected
  • shell_based_surface_models when AP203 Conformance Class 4 is selected
  • STEP B-rep solids when AP203 Conformance Class 6 is selected.

All other AutoCAD and Mechanical Desktop objects are mapped to their corresponding STEP entities regardless of conformance class.

If an input AutoCAD model contains higher-level data then the conformance class specified for the output STEP file, then the data is mapped to lower-level STEP entities. For example, if an AutoCAD model contains a solid and a surface and conformance class 2 is chosen for STEPOUT, then the AutoCAD solid will be converted to surfaces and output along with the previously existing surface.

By contrast, if an input AutoCAD model contains lower-level data then the conformance class specified in STEPOUT, then the AutoCAD data is not mapped to higher-level data. Rather, it is mapped to same- or lower-level STEP entities. For example, if an AutoCAD model contains a solid and a surface and conformance class 6 is chosen, then both the solid and the surface will be output.

Please see AP203 Conformance Classes for more information about conformance classes. See Common Mapping Information below for information about mappings common to AP203 and AP214.

AP214 Mappings

When AP214 is selected, solids are mapped to solids, surfaces to surfaces, and wireframes to wireframes. If you want to map solids to surfaces, use theMechanical Desktop's AM2SF command to change solids to surfaces before using STEPOUT to create an AP214 file. Please see AP214 Conformance Classes for more information about AP214 conformance class. See Common Mappings below for information about mappings common to AP203 and AP214.

Colors, layers and groups

STEPOUT for AP214 supports AutoCAD color, layer and group properties. See Color, Layer and Group for more information. Also, AP214 offers support for linetypes, but this release of the STEP Translator does not support them.

AP214 CD and DIS Versions

Since the previous release of the STEP Translator, the standard for AP214 has moved a step toward becoming a final International Standard- it has moved from Committee Draft (CD) to Draft International Standard (DIS). International Standards are developed by ISO technical committees and subcommittees using a six-stage process: the Proposal stage, the Preparatory stage, the Committee stage, the Enquiry stage, the Approval stage, and the Publication stage. The CD is produced during the first phase in the Committee Stage, and the publication of the DIS is the final step in that stage.

The changes made between the CD and DIS versions of AP214 were made primarily to synchronize AP214 with other APs. Currently either version should offer the same quality of data exchange. However, because the new implementations of draughting, notes and validation properties are based exclusively on the DIS, the DIS version will offer more functionality in the future.

You can select either the CD or DIS version when exporting data using STEPOUT. STEP files using either version can be imported using STEPIN.

Common Mapping Information

The mapping information in the table applies to all supported AP203 and AP214 conformance classes.

Block Reference Mappings

Block references are mapped to STEP assembly structures in both AP203 and AP214.

Mechanical Desktop Assembly Mappings

The export of Mechanical Desktop instance names for assemblies is now supported.

Entity Handles

Entity handles are output to the STEP attribute REPRESENTATION_ITEM.NAME so that recipients of the STEP file can know the original identification of each entity in AutoCAD. These attributes are attached to each entity that is mapped.

B-Rep Mappings

Currently there is little production experience with data exchange using boundary representations. Because of this and also because of known differences between how different CAD systems handle B-reps, you should take extra care in examining the results of B-rep translations.


Topics

STEPOUT Mapping Information and Table
AutoCAD STEP 2010
Understanding the STEP Translator
AutoCAD STEP 2010 >
Topics
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Understanding the STEP Translator
  • Entity Translations
  • Translation Options
  • Using the STEP Translator
  • Translator Tools
  • Troubleshooting and Tips


Understanding the STEP Translator

Topics
Topics
Understanding the AutoCAD STEP Translator
AutoCAD STEP 2010 > Topics >
Understanding the STEP Translator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Understanding the AutoCAD STEP Translator
  • What is STEP?
  • History of STEP
  • Overview of Geometric Modeling
  • APs and Conformance Classes


Understanding the AutoCAD STEP Translator

Understanding the STEP Translator
Understanding the STEP Translator
What is STEP?
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator >
Understanding the AutoCAD STEP Translator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD STEP Translator is an ObjectARX™ MCAD API application that you run from AutoCAD or the Mechanical Desktop. The AutoCAD STEP Translator (hereafter referred to as "the Translator") allows for the representation and exchange of information used during the design, manufacture and distribution of mechanical products.

The Translator currently enables data exchange using two STEP Application Protocols(APs), one that consists of 3D design data (AP203), and one that consists of core data for automotive design processes (AP214). The Translator supports the import of both short and long names for STEP entities, and the export of Mechanical Desktop surfaces, AutoCAD solids, Mechanical Desktop parts, and Mechanical Desktop assemblies. It supports the import and export of colors, layers and groups, and allows you to specify units for output STEP files. It also includes tools for batch processing, converting block references to Mechanical Desktop assemblies, and converting AutoCAD 3D solids to wireframe representations.


What is STEP?

Understanding the AutoCAD STEP Translator
Understanding the STEP Translator
What is STEP?
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator >
What is STEP?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • What is STEP?
  • Parts
  • Specification Language
  • Application Protocols
  • Conformance Classes
  • Certification: Frequently Asked Questions


What is STEP?
What is STEP?
Parts
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > What is STEP? >
What is STEP?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEP (Standard for the Exchange of Product Model Data) is the name most commonly used to refer to International Standards Organization (ISO) 10303. STEP is a standard that provides both a system-independent representation of product information and the necessary mechanisms and definitions to exchange this information.

Rather than a single, neutral-format standard, STEP is actually a set of standards, defined using a data specification language and consisting of parts, application protocols and conformance classes. New application protocols can be added over time to accommodate different types of products.

STEP was developed to help organizations make use of information generated about a product during its entire lifecycle - design, manufacture, use, maintenance, and disposition. During these phases, product information often needs to be exchanged among a variety of computer systems and environments both within and among companies.

To make this exchange possible, product information must be stored in a common form that remains complete and consistent when exchanged among different computer systems, and when used for storing, accessing, transferring and archiving product data. STEP addresses these needs.


Parts

What is STEP?
What is STEP?
Specification Language
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > What is STEP? >
Parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To accommodate the wide variety of information required by different products and lifecycle phases, STEP is divided into a series of parts, each developed and published separately. These parts are divided into the following groups:

Part Number | Part Description
1 | Overview and fundamental principles
21-29 | Overview and fundamental principles
21-29 | Implementation methods
31-39 | Conformance testing methodology and framework
41-99 | Integrated generic resources
101-199 | Integrated application resources
201-1199 | Integrated application resources
1201-2199 | Abstract test suites


Specification Language

Parts
What is STEP?
Application Protocols
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > What is STEP? >
Specification Language
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEP uses a formal specification language called EXPRESS to specify the product information represented in the APs. The use of a formal language helps ensure precision and consistency across different applications, and lessens the need for interpretation and adjudication often required by natural-language standards. See ISO10303, Part 11, The EXPRESS Language Reference Manual, for further information about EXPRESS.


Application Protocols

Specification Language
What is STEP?
Conformance Classes
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > What is STEP? >
Application Protocols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Application Protocols (APs) define the scope, context and information requirements of a particular application, and use a common set of integrated resources (product data descriptions written in EXPRESS) to meet these requirements. APs also define the conformance standards that provide the basis for testing. Ultimately, STEP is expected to incorporate APs addressing a wide variety of applications.


Conformance Classes

Application Protocols
What is STEP?
Certification: Frequently Asked Questions
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > What is STEP? >
Conformance Classes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A conformance class is the subset of an application protocol for which conformance may be claimed. Most application protocols have several.


Certification: Frequently Asked Questions

Conformance Classes
What is STEP?
History of STEP
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > What is STEP? >
Certification: Frequently Asked Questions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Q: What is a "certified" STEP Translator?

A: A certified STEP Translator is one that has successfully completed the U.S. Product Data Association (US PRO) certification process. To be certified, STEP translators are required to read in and write out comprehensive sets of STEP AP 203 conformance class 6a sample files. The results of these tests provide a measure of the translator's ability to correctly create and process STEP data as required for conformance with the standard. This certification is the "seal of approval" from US PRO that a STEP translator is capable of creating and processing STEP data correctly.

Q: Is Autodesk's STEP Translator certified?

A: The AutoCAD STEP Translator that runs with Mechanical Desktop 4.1 achieved STEP AP 203 standard certification in March 2000. That version of the Translator, called Certified AutoCAD STEP, is available on the Data Exchange 2000 (R2) CD.

Q: Can you use this certified translator with AutoCAD, or just with Mechanical Desktop?

A: Though it can be installed with AutoCAD, the Certified AutoCAD STEP Translator is only considered "certified"?when used within Mechanical Desktop. This is because product data management (PDM) data can be attached only to Mechanical Desktop components, and PDM translation capabilities are required for certification.


History of STEP

Certification: Frequently Asked Questions
Understanding the STEP Translator
History of STEP
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator >
History of STEP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • History of STEP


History of STEP
History of STEP
Overview of Geometric Modeling
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > History of STEP >
History of STEP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

By the mid-1980s, computer-aided design and engineering technology was well established in a variety of industries worldwide, and the sharing of data had become critical for CAD/CAE users. Several different standards and specifications for product data exchange (such as IGES, VDAFS, SET, and PPDI) were already in wide use, and their inadequacies and limitations (both perceived and real) had spurred a number of national bodies to begin developing alternatives.

Creation of TC184/SC4

To prevent further proliferation of localized, piecemeal solutions to data exchange problems, the International Standards Organization (ISO) set up a new technical committee in 1984 to produce a single international standard for the exchange of product data. This committee, known as Technical Committee 184, Subcommittee 4, or TC184/SC4, consists of representatives of the various national initiatives. At its first meeting, TC184/SC4 resolved to develop a single international standard for exchange of product model data by 1990, and to ensure that further development of existing standards used STEP-compatible concepts.

Adoption of STEP as a Standard

Also during the mid-1980s, the IGES/PDES Organization (IPO) had begun developing a standard called the Product Data Exchange Specification. In 1988, this specification was forwarded to TC184/SC4 for review, and was eventually adopted as the ANSI standard for STEP and renamed to Product Data Exchange Using STEP. The IPO continues to develop STEP, as do a variety of organizations worldwide.


Overview of Geometric Modeling

History of STEP
Understanding the STEP Translator
Overview of Geometric Modeling
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator >
Overview of Geometric Modeling
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of Geometric Modeling
  • Boundary Representation
  • Topological Elements


Overview of Geometric Modeling
Overview of Geometric Modeling
Boundary Representation
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > Overview of Geometric Modeling >
Overview of Geometric Modeling
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Geometric modeling is concerned with the development of methods and techniques for the representation of geometric shapes.

Early geometric models consisted of simple two-dimensional wireframe representations composed of lines, curves and points defining the edges and corners of an object.

Surface models go a step further than wireframe models by adding information about the shapes and characteristics of the surfaces of objects, and solid models go further still by including information about the closure and connectivity of the volumes of geometric shapes.

Solid modeling can be done using a variety of techniques, including constructive solid geometry and boundary representation.


Boundary Representation

Overview of Geometric Modeling
Overview of Geometric Modeling
Topological Elements
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > Overview of Geometric Modeling >
Boundary Representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Boundary representation is a technique in which a geometric object is represented using a description of its boundaries: the faces, edges and vertices (surfaces, curves, lines and points) that completely enclose its volume.

B-rep models consist of two types of information: topology and geometry. Topology is the information about the connectivity and adjacency of the various elements of the model, and geometry is the mathematical description of the elements themselves.

B-Rep Warning

Currently there is little production experience with data exchange using boundary representations. Because of this and also because of known differences between how different CAD systems handle B-reps, you should take extra care in examining the results of B-rep translations.


Topological Elements

Boundary Representation
Overview of Geometric Modeling
APs and Conformance Classes
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > Overview of Geometric Modeling >
Topological Elements
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The topological elements in a B-rep model fall into two groups: primary topological elements and secondary topological elements. Secondary elements are collections of related primary elements. Primary elements are unique topological elements that define a B-rep object. The topological elements in the table below are listed from highest to lowest levels of dimensionality.

Identification Information

Element Name | Type | Definition | Corresponding Geometry
Model | Secondary | A single topological modeling space consisting of one or more volumes. |
Shell | Secondary | A collection of connected faces that serve as the boundary surface of a volume. |
Face | Secondary | A two-dimensional portion of a shell bounded by a loop. | Surface
Loop | Secondary | A collection of edges and vertices that form the connected boundary of a single face. |
Edge | Secondary | A one-dimensional portion of a loop bounded by two vertices. | Curve
Vertex | Secondary | A unique point in space. | Point


APs and Conformance Classes

Topological Elements
Understanding the STEP Translator
Application Protocol 203
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator >
APs and Conformance Classes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Application Protocol 203
  • AP203 Conformance Classes
  • Application Protocol 214
  • AP214 Conformance Classes


Application Protocol 203

APs and Conformance Classes
APs and Conformance Classes
AP203 Conformance Classes
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > APs and Conformance Classes >
Application Protocol 203
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD STEP Translator enables data exchange using STEP AP203, which is called Configuration Control of 3D Design Data.

The Translator currently supports only conformance classes 2, 4, and 6.

Conformance with Class 1 (configuration-controlled design information without shape) is a prerequisite for conformance with all other classes, and is assumed.

AP203 consists of:

  • configuration management information (authorization, version and revision, release status, security classification, etc.)
  • information about the product's structure (assemblies, parts, bills of materials)
  • geometric shapes (B-rep solids, surfaces and wireframes), and
  • specifications for characteristics such as surface finish and material.


AP203 Conformance Classes

Application Protocol 203
APs and Conformance Classes
Application Protocol 214
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > APs and Conformance Classes >
AP203 Conformance Classes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Conformance with Class 1 (configuration-controlled design information without shape) is a prerequisite for conformance with all other classes, and is assumed. The other conformance classes the Translator supports are:

Class | Description
Class 2 | Shapes represented by geometrically bounded surface models or both.
Class 4 | Shapes represented by manifold surface models with topology
Class 6 | Shapes represented by advanced B-rep
NoteIf an input AutoCAD model contains higher-level data then the conformance class specified for the output STEP file, then the data is mapped to lower-levelSTEP entities. For example, if an AutoCAD model contains a solid and a surface and conformance class 2 is chosen for STEPOUT, then the AutoCAD solid will be converted to surfaces and output along with the previously existing surface.

By contrast, if an input AutoCAD model contains lower-level data then the conformance class specified in STEPOUT, then the AutoCAD data is not mapped to higher-level data. Rather, it is mapped to same- or lower-level STEP entities. For example, if an AutoCAD model contains a solid and a surface and conformance class 6 is chosen, then both the solid and the surface will be output.


Application Protocol 214

AP203 Conformance Classes
APs and Conformance Classes
AP214 Conformance Classes
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > APs and Conformance Classes >
Application Protocol 214
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator enables data exchange using STEP AP214 (Core Data for Automotive Mechanical Design Processes), conformance class 2. AP214 is used in the automotive industry for the design and manufacture of cars, trucks, buses, and motorcycles, along with a wide variety of machinery, tools and components associated with automotive manufacturing. It may also be applicable to rail, agricultural, and construction vehicles. A typical vehicle consists of the body, power train, chassis, and interior parts.

AP214 defines the context, scope, and information requirements for various stages during the design of a vehicle, and specifies the integrated resources necessary to satisfy these requirements.


AP214 Conformance Classes

Application Protocol 214
APs and Conformance Classes
Entity Translations
AutoCAD STEP 2010 > Topics > Understanding the STEP Translator > APs and Conformance Classes >
AP214 Conformance Classes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Conformance Class 2 consists of the following:

Class | Description
Class 2 | Shape representation using 3D wireframe, surface and B-rep models, assemblies, layers, colors and group information.


Entity Translations

AP214 Conformance Classes
Topics
Entity Translation
AutoCAD STEP 2010 > Topics >
Entity Translations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Entity Translation


Entity Translation

Entity Translations
Entity Translations
Translation Options
AutoCAD STEP 2010 > Topics > Entity Translations >
Entity Translation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Entities are translated when you translate a file from STEP format into AutoCAD(STEPIN) or from AutoCAD into STEP (STEPOUT). The Help contains two mapping tables:the STEP to AutoCAD Translation Mapping Table and the AutoCAD to STEP Translation Mapping Table. Text at the beginning of these table topics describes general Translator behavior, and the tables s contain the names of specific STEP, AutoCAD and Mechanical Desktop entities supported by the Translator, along with their mappings. In addition to the entities shown in the tables, the STEP Translator also supports the import and export of colors, layers and groups.

As part of each STEPIN or STEPOUT translation, the STEP Translator also produces a log file, which records all entities translated in or out, and all problems encountered. For descriptions of the log files and their contents, see STEPIN Log File Description, STEPOUT Log File Description.


Translation Options

Entity Translation
Topics
Translation Options
AutoCAD STEP 2010 > Topics >
Translation Options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Translation Options
  • Editing Options Files with a Text Editor


Translation Options
Translation Options
Editing Options Files with a Text Editor
AutoCAD STEP 2010 > Topics > Translation Options >
Translation Options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The STEPIN Options and STEPOUT Options dialog box tabs allow you to specify, edit and save options for STEPOUT translations. Options can be set and used for the current translation only, or can be saved in options files for use in future translations.

Options control several aspects of STEP file creation, including the name of the output STEP file, its Application Protocol and Conformance Class, whether validation properties should be created, what units to use, a brief description of the contents of the options file, and information about the STEP file's sender.


Editing Options Files with a Text Editor

Translation Options
Translation Options
Using the STEP Translator
AutoCAD STEP 2010 > Topics > Translation Options >
Editing Options Files with a Text Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can edit an existing options file (files with the extension .opt) with any text editor that creates ASCII (unformatted) files. Below is a sample options file. Lines prefaced with a number sign (#) are comments and are ignored by the Translator.

# AutoCAD STEP Options File

version 3

options_description These are my favorite options

#

output_ap 203

output_class 2

#

description line 1

#

author D. Pepper

organization Autodesk, Inc.

Address1 Here

Address2 and

Address3 Now

#

The following rules apply:

  • The options can appear in any order, but the option value must appear on the same line as the option keyword.
  • Columns are not significant, but option names must be lowercase.
  • Omit options that you do not want to modify from the options file. If you omit a value from the option set, the Translator uses its built-in default.
  • To change the value for an option, search through the options file to find the option you want, and enter a new value. Save the file in ASCII format. You can select the modified option set when you next invoke the Translator. When you make changes to the option set, edit the description at the start of the file sothat you have a record of changes. The setting of the description option is displayed in the Description area of the STEPOUT Options Editor dialog box.
  • Any changes that you make in an option set are reflected the next time that the file is used for a translation. The option settings are also reflected in the options file you use from the dialog boxes.
  • Your options files can be in any directory. However, if you place the location of your options files in the AutoCAD search path, you won't need to type the full path name to access them when using the command line input mode.
  • Do not place comments on the same line as an option with a string value.
  • The option value should be placed one space to the right of the option name.


Using the STEP Translator

Editing Options Files with a Text Editor
Topics
Using the STEP Translator
AutoCAD STEP 2010 > Topics >
Using the STEP Translator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Using the STEP Translator
  • Using the STEP Translator from the Mechanical Desktop File Menu
  • Using the STEP Translator from the Custom Data Exchange Menu
  • Using the STEP Translator from the Toolbar
  • Using the STEP Translator on the Command Line
  • Translating Files from STEP to AutoCAD at the Command Line
  • Translating Files from AutoCAD to STEP at the Command Line
  • Requesting a File Dialog Box on the STEP Translator's Command Line
  • STEP File Extension


Using the STEP Translator
Using the STEP Translator
Using the STEP Translator from the Mechanical Desktop File Menu
AutoCAD STEP 2010 > Topics > Using the STEP Translator >
Using the STEP Translator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The STEP Translator can be invoked from

  • The Mechanical Desktop standard File menu
  • A Mechanical Desktop or AutoCAD custom data exchange menu
  • The STEP Translator toolbar
  • The command line


Using the STEP Translator from the Mechanical Desktop File Menu

Using the STEP Translator
Using the STEP Translator
Using the STEP Translator from the Custom Data Exchange Menu
AutoCAD STEP 2010 > Topics > Using the STEP Translator >
Using the STEP Translator from the Mechanical Desktop File Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can use the Mechanical Desktop File menu's Insert and Export commands to invoke the STEP Translator.

To run the STEP Translator from the Mechanical Desktop File menu:

  1. From the Mechanical Desktop or AutoCAD menu, choose File [image] Insert for STEPIN, or File [image] Export for STEPOUT.
  2. Use the STEPIN or STEPOUT dialogs to specify the drawings or files names, locations and translation options, then press OK to launch the translation.


Using the STEP Translator from the Custom Data Exchange Menu

Using the STEP Translator from the Mechanical Desktop File Menu
Using the STEP Translator
Using the STEP Translator from the Toolbar
AutoCAD STEP 2010 > Topics > Using the STEP Translator >
Using the STEP Translator from the Custom Data Exchange Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Mechanical Desktop or AutoCAD users can add a special Data Exchange menu to the menu bar.

To customize your Mechanical Desktop or AutoCAD menu by Adding a Data Exchange Menu:

  1. From the Mechanical Desktop or AutoCAD menu, choose Edit [image] Customize Menus.
  2. On the Menu Groups tab, make sure that Data Exchange is selected.
  3. On the Menu Bar tab, select the desired menu location and click the Activate button to place the Data Exchange command on your menu.


Using the STEP Translator from the Toolbar

Using the STEP Translator from the Custom Data Exchange Menu
Using the STEP Translator
Using the STEP Translator on the Command Line
AutoCAD STEP 2010 > Topics > Using the STEP Translator >
Using the STEP Translator from the Toolbar
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can invoke the STEP Translator from the STEP Translator toolbar. Once loaded, this toolbar functions just like standard Mechanical Desktop or AutoCAD toolbars. See STEP Translator Toolbar for information about the individual tools.

To load the STEP Translator toolbar:

  1. From the Mechanical Desktop or AutoCAD menu, choose View [image] Toolbars.
  2. In the Toolbars dialog, select DataExchange in the Menu Group area to display the list of Data Exchange toolbars in the Toolbars area of the dialog.
  3. In the Menu Group area, choose Data Exchange, then check the boxes for the toolbars you want to display.
  4. Press Close to close the Toolbars dialog.


Using the STEP Translator on the Command Line

Using the STEP Translator from the Toolbar
Using the STEP Translator
Translating Files from STEP to AutoCAD at the Command Line
AutoCAD STEP 2010 > Topics > Using the STEP Translator >
Using the STEP Translator on the Command Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you know the directory and name of the options file you want, and if you do not need to make any changes to the file, you can invoke the STEPIN and STEPOUT commands on the Mechanical Desktop or AutoCAD command line.

If you need to edit your options file, you can use any text editor capable of editing and saving ASCII files. When you have finished editing the options file, enter the STEPIN or the STEPOUT command on the AutoCAD command line and specify that options file.

Translating Files from STEP to AutoCAD at the Command Line

Translating Files from AutoCAD to STEP at the Command Line

Requesting a File Dialog Box on the Translator's Command Line


Translating Files from STEP to AutoCAD at the Command Line

Using the STEP Translator on the Command Line
Using the STEP Translator
Translating Files from AutoCAD to STEP at the Command Line
AutoCAD STEP 2010 > Topics > Using the STEP Translator >
Translating Files from STEP to AutoCAD at the Command Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To translate a file from STEP format into AutoCAD format from the command line, follow these steps.

  1. Set the CMDDIA system variable to 0.
  2. At the AutoCAD Command prompt, enter stepin, and press return. The following prompt is displayed.

    STEP filename <default>?

  3. Enter a valid STEP file name and directory path, and then press return.


Translating Files from AutoCAD to STEP at the Command Line

Translating Files from STEP to AutoCAD at the Command Line
Using the STEP Translator
Requesting a File Dialog Box on the STEP Translator's Command Line
AutoCAD STEP 2010 > Topics > Using the STEP Translator >
Translating Files from AutoCAD to STEP at the Command Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To translate files from AutoCAD format into STEP format from the command line, follow these steps.

  1. Set the CMDDIA system variable to 0.
  2. At the AutoCAD Command prompt, enter stepout, and press return. The following prompt is displayed.

    STEP filename <default>?

  3. Enter a valid STEP file name and directory path, and then press return. The following prompt is displayed.

    Options filename <default settings>?

  4. Enter a valid file name and directory path, or press return to accept the default options file.


Requesting a File Dialog Box on the STEP Translator's Command Line

Translating Files from AutoCAD to STEP at the Command Line
Using the STEP Translator
STEP File Extension
AutoCAD STEP 2010 > Topics > Using the STEP Translator >
Requesting a File Dialog Box on the STEP Translator's Command Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can request a file dialog box at the STEPIN or STEPOUT command line. At either of the following prompts, enter a tilde (~), then press return.

STEP filename <default>?

Options filename <default settings>?


STEP File Extension

Requesting a File Dialog Box on the STEP Translator's Command Line
Using the STEP Translator
Translator Tools
AutoCAD STEP 2010 > Topics > Using the STEP Translator >
STEP File Extension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator uses a default file extension of .stp when processing STEP file names entered on the command line.

When you use STEPIN and do not specify an extension (for example, myfile), STEPIN searches for the file then adds the default extension.

When you use STEPOUT and do not specify an extension, STEPOUT automatically adds the default extension.

When you use the File dialog box from the STEPIN and STEPOUT dialog boxes, you can specify a different file extension for STEP and for options files.


Translator Tools

STEP File Extension
Topics
Translator Tools
AutoCAD STEP 2010 > Topics >
Translator Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Translator Tools
  • StepTranslator_Tools_List
  • The ADXBATCH Tool
  • The AMASSEM Tool
  • The AMSTEPATT Tool
  • The EXP2WIRE Tool
  • The STEPFINDTool
  • The STEPLIST Tool


Translator Tools
Translator Tools
StepTranslator_Tools_List
AutoCAD STEP 2010 > Topics > Translator Tools >
Translator Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator comes with tools, including ADXBATCH, AMASSEM, EXP2WIRE, STEPFIND, STEPLIST and AMSTEPATT. ADXBATCH allows the batch translation of files, AMASSEM converts AutoCAD block references to Mechanical Desktop assemblies, EXP2WIRE converts AutoCAD 3D solids to wireframe representations, STEPFIND and STEPLIST help you to locate and list specific entities in a file, and AMSTEPATT allows you to attach, edit and display PDM data to parts and subassemblies.

ADXBATCH is a standalone tool (meaning that it runs outside of AutoCAD or the Mechanical Desktop), while the other two tools are loaded and run within AutoCAD or the Desktop.

The Translator Tools List contains more information about these tools.


StepTranslator_Tools_List

Translator Tools
Translator Tools
The ADXBATCH Tool
AutoCAD STEP 2010 > Topics > Translator Tools >
StepTranslator_Tools_List
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following tools are included with the Translator.

Tool Name | Tool Type | Definition
ADXBATCH | Standalone | Writes a batch file to perform STEP-to-AutoCAD or AutoCAD-to-STEP translations on all files in a specified directory tree.
AMASSEM | Mechanical Desktop | STEPIN maps STEP assembly data to AutoCAD block references rather than to Mechanical Desktop assemblies. This utility creates Desktop assembly structures from these AutoCAD block references.
AMSTEPATT | Delivered as part of Certified AutoCAD STEP. Runs within MDT - noi nstallation required. | Prompts you to select a part or subassembly and then displays the Product Identification for Part/Subassembly dialogs that allow you to attach PDM data to the component.
EXP2WIRE | Mechanical Desktop | Converts AutoCAD 3D solids to wireframe representations.
STEPFIND | AutoCAD | Finds an AutoCAD entity created from a specified STEP entity as indicated by its STEP instance id.
STEPLIST | AutoCAD | Lists the STEP instance ID of an AutoCAD object created by the Translator.


The ADXBATCH Tool

StepTranslator_Tools_List
Translator Tools
ADXBATCH
AutoCAD STEP 2010 > Topics > Translator Tools >
The ADXBATCH Tool
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • ADXBATCH
  • Setting Up ADXBATCH
  • ADXBATCH Installation Notes
  • Running ADXBATCH


ADXBATCH

The ADXBATCH Tool
The ADXBATCH Tool
Setting Up ADXBATCH
AutoCAD STEP 2010 > Topics > Translator Tools > The ADXBATCH Tool >
ADXBATCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Writes a batch file to perform STEP-to-AutoCAD or AutoCAD-to-STEP translations on all files in a specified directory tree. The tree structure (if any) in the input directory is preserved in the output directory. Mechanical Desktop users: note that ADXBATCH imports STEP files into the assembly environment rather than the part environment. Please see the assembly information in STEPIN Mapping Information and Table for information about differences in assembly mappings between the two environments.

Notethis release of the Translator includes a new batch translation utility that makes it easy to select translation options and run batch translations during the current session or at a later time. The Batch File Translation Utility features a graphical interface that streamlines the process of translation and shields users from the need to manually create batch files or install executables before performing translations. The information below is supplied for those users who choose not to use this utility and prefer to set up and run the ADXBATCH tool by hand.

Description

ADXBATCH is a standalone tool that you run independently of AutoCAD or the Mechanical Desktop by entering the command name at the operating system prompt. Before you can use ADXBATCH, you need to place the ADXBATCH executable in your search path and create a batch file to launch AutoCAD. See Setting Up ADXBATCH.

After you have completed the setup, you can run ADXBATCH from your operating system's command prompt. See Running ADXBATCH for instructions.


Setting Up ADXBATCH

ADXBATCH
The ADXBATCH Tool
ADXBATCH Installation Notes
AutoCAD STEP 2010 > Topics > Translator Tools > The ADXBATCH Tool >
Setting Up ADXBATCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
NoteThis release of the Translator includes a new batch translation utility that makes it easy to select translation options and run batch translations during the current session or at a later time. The File Translation Utility features a graphical interface that streamlines the process of translation and shields users from the need to manually create batch files or install executables before performing translations. The information below is supplied for those users who choose not to use this utility and prefer to set up and run the ADXBATCH tool by hand.

Before you can use ADXBATCH, you need to perform the following steps.

Task | Description
Place the ADXBATCH executable in your search path | The degtools directory contains this standalone executable tool. To run ADXBATCH from any directory, include the degtools directory in your command search path, or copy the executable to a directory that is already in your command search path. For details on how to specify a search path, see your operating system's documentation.
Create a batch file to launch AutoCAD | ADXBATCH requires that a batch file called acad-deg.bat be present somewhere in the system path in order to run AutoCAD. You must create this file. See Installation Notes for further information about how to create it.


ADXBATCH Installation Notes

Setting Up ADXBATCH
The ADXBATCH Tool
Running ADXBATCH
AutoCAD STEP 2010 > Topics > Translator Tools > The ADXBATCH Tool >
ADXBATCH Installation Notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Notethis release of the Translator includes a new batch translation utility that makes it easy to select translation options and run batch translations during the current session or at a later time. The Batch File Translation Utility features a graphical interface that streamlines the process of translation and shields users from the need to manually create batch files or install executables before performing translations. The information below is supplied for those users who choose not to use this utility and prefer to set up and run the ADXBATCH tool by hand.

ADXBATCH needs the batch file acad-deg.bat to be present somewhere in the system path in order to run AutoCAD. You must create this file. A typical acad-deg.bat follows:

SET ACAD=C:\Program Files [(x86)]\AutoCAD R15\SUPPORT;C:\R15;C:\Program Files [(x86)]\AutoCAD R15

SET ACADCFG=c:\Program Files [(x86)]\AutoCAD R15

SET ACADDRV=C:\Program Files [(x86)]\AutoCAD R15\DRV

"C:\Program Files [(x86)]\AutoCAD R15\ACAD" %1 %2 %3

The example above may not match your installation. Edit the paths in the acad-deg.bat file you create to match your installation. It is important that the first two arguments to the batch file be passed on to the AutoCAD executable, as shown in the last line of the example batch file.

Mechanical Desktop users should insert

/p "C:\Program Files [(x86)]\AutoCAD R15\DESKTOP\DESKTOP.ARG"

at the end of the fourth line in the sample acad-deg.bat above. The fourth line should now look like this:

"C:\Program Files [(x86)]\AutoCAD R15\ACAD" %1 %2 %3 /p "C:\Program Files [(x86)]\AutoCADR15\DESKTOP\DESKTOP.ARG"

Mechanical Desktop users who wish to run batch translations using the non-Desktop version of AutoCAD should replace the second half of the fourth line in the sample above with

/p "C:\Program Files [(x86)]\AutoCAD R15\DESKTOP\VANILLA.ARG"

The fourth line should look like this:

"C:\Program Files [(x86)]\AutoCAD R15\ACAD" %1 %2 %3 /p "C:\Program Files [(x86)]\AutoCAD R15\DESKTOP\VANILLA.ARG"


Running ADXBATCH

ADXBATCH Installation Notes
The ADXBATCH Tool
The AMASSEM Tool
AutoCAD STEP 2010 > Topics > Translator Tools > The ADXBATCH Tool >
Running ADXBATCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Notethis release of the Translator includes a new batch translation utility that makes it easy to select translation options and run batch translations during the current session or at a later time. The Batch File Translation Utility features a graphical interface that streamlines the process of translation and shields users from the need to manually create batch files or install executables before performing translations. The information below is supplied for those users who choose not to use this utility and prefer to set up and run the ADXBATCH tool by hand.

Syntax

Outside of AutoCAD, at the operating system command prompt, enter

adxbatch STEPIN inpathname [outpathname]

or

adxbatch STEPOUT inpathname [outpathname]

where inpathnameis the pathname of the input STEP or AutoCAD files and outpathname is the pathname for the output STEP or AutoCAD files.

NoteWhen you specify your destination directory, make sure that it contains no files with the same names as those you will be creating, unless you intend to use the /W option to overwrite existing output files. ADXBATCH has no way of handling duplicate filenames, and may hang if it encounters them. To avoid this problem, either use an empty directory for the output STEP or AutoCAD files, or use the /W option.

Mechanical Desktop users: note that ADXBATCH imports STEP files into the assembly environment rather than the part environment. Please see the assembly information in Mapping Information and Table for information about differences in assembly mappings between the two environments.

Options

/O

Uses the specified STEP options file. ADXBATCH will use the options file specified by the /O: option if specified. If no /O: option is specified, it will use the file tmpstep.opt in the directory pointed at by the TEMP environment variable.

/W

Write over existing output files. By default, ADXBATCH will ignore input files if a corresponding output file already exists. Use the /W option to write over existing output files.

/G

Go: Execute translations immediately. ADXBATCH writes a batch file to the file adxbat.bat, containing instructions to translate all the .STP or .DWG files in the directory tree specified. If the /G option is specified, it will immediately execute the batch file.

/P

Path: set .xli path to .dwg path for STEPIN

Example

To read all STEP files on drive C: using options stored in the file test.opt, putting the results into D:\dwgs, and overwriting existing output files, at your operating system's command prompt enter:

adxbatch STEPIN C:\ D:\dwgs /O: test.opt /W


The AMASSEM Tool

Running ADXBATCH
Translator Tools
AMASSEM
AutoCAD STEP 2010 > Topics > Translator Tools >
The AMASSEM Tool
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • AMASSEM


AMASSEM

The AMASSEM Tool
The AMASSEM Tool
The AMSTEPATT Tool
AutoCAD STEP 2010 > Topics > Translator Tools > The AMASSEM Tool >
AMASSEM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Converts all AutoCAD block references in the current DWG file to Mechanical Desktop assemblies.

NoteDo not use this tool in a file that already contains Mechanical Desktop assemblies. The tool cannot identify and ignore existing assemblies, and may damage them while converting block references.

Loading AMASSEM

To load AMASSEM for the current session, use the Load Application dialog to load the amassem.arx file, usually located in desktop/support. You can now use AMASSEM from the Desktop command prompt during this session. If you want AMASSEM to load on start-up, add amassem.arx to your desktop.rx file, usually located in /desktop.

Using AMASSEM

At the Mechanical Desktop command prompt, enter amassem


The AMSTEPATT Tool

AMASSEM
Translator Tools
AMSTEPATT
AutoCAD STEP 2010 > Topics > Translator Tools >
The AMSTEPATT Tool
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • AMSTEPATT


AMSTEPATT

The AMSTEPATT Tool
The AMSTEPATT Tool
The EXP2WIRE Tool
AutoCAD STEP 2010 > Topics > Translator Tools > The AMSTEPATT Tool >
AMSTEPATT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Prompts you to select a part or subassembly and then displays the Product Identification for Part/Subassembly dialogs that allow you to enter, edit and view product data management (PDM) data attached to the selected component in Mechanical Desktop drawings. Using the Certified AutoCAD STEP Translator in combination with the AMSTEPATT utility, PDM data can be imported from STEP and viewed or edited in a drawing, and can also be inserted into a drawing and exported to a STEP file. Note that PDM data can only be attached to parts or subassemblies; attempts to attach such data to other geometry or drawing features will fail.

Running AMSTEPATT

At the Mechanical Desktop command prompt, enter

amstepatt

to display the Product Identification for Part/Subassembly dialog.


The EXP2WIRE Tool

AMSTEPATT
Translator Tools
EXP2WIRE
AutoCAD STEP 2010 > Topics > Translator Tools >
The EXP2WIRE Tool
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • EXP2WIRE


EXP2WIRE

The EXP2WIRE Tool
The EXP2WIRE Tool
The STEPFINDTool
AutoCAD STEP 2010 > Topics > Translator Tools > The EXP2WIRE Tool >
EXP2WIRE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Converts all AutoCAD 3D solids in the current DWG file to wireframe representations in the output STEP file.

NoteBecause ACIS stores minimal topological information for surface primitivescreated using the Mechanical Desktop's AMPRIMSRF command (spheres, cones, cylinders and tori), EXP2WIRE often cannot create useful wireframe representations of them. If you run EXP2WIRE in a drawing that contains only these entities, the resulting drawing might be empty or might contain very minimal data to represent these entities. EXP2WIRE can be far more useful for exploding 2 ½-dimensional shapes, or for working with solids that are not created from these surface primitives.

Loading EXP2WIRE

To load EXP2WIRE for the current session, use the Load Application dialog to load the exp2wire.arx file, usually located in the \program files [(x86)]\mdt 2008 directory. You can now use EXP2WIRE from the Desktop command prompt during this session. If you want EXP2WIRE to load on start-up, add exp2wire.arx to your desktop.rx file, usually located in program files [(x86)]\mdt 2008\desktop.

Running EXP2WIRE

At the Mechanical Desktop command prompt, enter

exp2wire


The STEPFINDTool

EXP2WIRE
Translator Tools
STEPFIND
AutoCAD STEP 2010 > Topics > Translator Tools >
The STEPFINDTool
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • STEPFIND


STEPFIND

The STEPFINDTool
The STEPFINDTool
The STEPLIST Tool
AutoCAD STEP 2010 > Topics > Translator Tools > The STEPFINDTool >
STEPFIND
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Finds an AutoCAD entity created from a specified STEP entity as indicated by its STEP instance id.

Syntax

At the Command prompt, enter the following:

(load "stepid")

stepfind")

The system will ask you for the instance id of the STEP entity. If it is found, the entity is highlighted on the AutoCAD screen. Otherwise, the message "Not found" is displayed.

NoteSTEPFIND will be unable to find entities that were translated to Mechanical Desktop parts on STEPIN. If curve or surface geometry (which is not mapped to parts) is present in the input STEP file, then STEPIN maps the curve and surface geometry to a separate block. In these cases, exploding the block allows you to find the geometry using STEPFIND.


The STEPLIST Tool

STEPFIND
Translator Tools
STEPLIST
AutoCAD STEP 2010 > Topics > Translator Tools >
The STEPLIST Tool
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • STEPLIST


STEPLIST

The STEPLIST Tool
The STEPLIST Tool
Troubleshooting and Tips
AutoCAD STEP 2010 > Topics > Translator Tools > The STEPLIST Tool >
STEPLIST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Lists the STEP instance ID of an AutoCAD object created by the Translator.

Syntax

At the Command prompt, enter the following:

(load "steplist")

steplist")

You will be asked to select an entity. When you select an entity, its STEPinstance id will be listed.

NoteSTEPLIST will be unable to list entities that were translated to Mechanical Desktop parts on STEPIN. If curve or surface geometry (which is not mapped to parts) is present in the input STEP file, then STEPIN maps the curve and surface geometry to a separate block. In these cases, exploding the block allows you to list the object's STEP instance id using STEPLIST.


Troubleshooting and Tips

STEPLIST
Topics
Troubleshooting and Tips
AutoCAD STEP 2010 > Topics >
Troubleshooting and Tips
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Troubleshooting and Tips
  • Installation Issues
  • Performance Issues
  • Translation Problems


Troubleshooting and Tips
Troubleshooting and Tips
Installation Issues
AutoCAD STEP 2010 > Topics > Troubleshooting and Tips >
Troubleshooting and Tips
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following topics contain information that may help you solve specific problems, streamline the translation process, and boost the performance of the Translator. These topics are divided into the following categories:

  • Installation Issues
  • Performance Issues
  • Performance
NoteThe Translator includes tools that may be helpful in solving specific translation problems. See Translator Tools for more information.


Installation Issues

Troubleshooting and Tips
Troubleshooting and Tips
Performance Issues
AutoCAD STEP 2010 > Topics > Troubleshooting and Tips >
Installation Issues
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The topics in this section address problems encountered during installation of the AutoCAD STEP Translator in both standalone and networked environments. They also address problems resulting from incomplete or incorrect installation procedures.

"Invalid Argument" Error Message


Performance Issues

Installation Issues
Troubleshooting and Tips
Translation Problems
AutoCAD STEP 2010 > Topics > Troubleshooting and Tips >
Performance Issues
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The topics in this section address issues relating to the time or space required to perform translations. Translating large STEP or .dwg files can sometimes result in the creation of large swap files, large temporary files, systems that become unresponsive, or in extreme cases, abnormal software termination. The topics below discuss some ways to avoid these problems and help improve the overall performance of the STEP Translator.

Compressing STEP Files

Disk I/O Errors

Compressing STEP Files

Swap File Space Utilization

Temporary Files

UNDOCTL System Variable

Virtual Memory Issues


Translation Problems

Performance Issues
Troubleshooting and Tips
Dialog Boxes
AutoCAD STEP 2010 > Topics > Troubleshooting and Tips >
Translation Problems
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The topics in this section address problems with the data being translated, rather than with the Translator's installation or performance.

The first step in solving any translation problem is to read the log file for any error messages associated with the translation. See STEPIN log file description and STEPOUT log file description Options for more information about logfiles.

The following topics contain information on resolving specific problems in translations.

Converting AutoCAD Block References to Mechanical Desktop Assemblies

Converting AutoCAD Block References to Mechanical Desktop Assemblies

Surfaces Become Invisible After Shading or Rendering


Dialog Boxes

Translation Problems
AutoCAD STEP 2010
STEPIN Dialog Boxes
AutoCAD STEP 2010 >
Dialog Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • STEPIN Dialog Boxes
  • STEPOUT Dialog Boxes
  • Batch File Translation Utility
  • AMSTEPATT Dialog Boxes


STEPIN Dialog Boxes

Dialog Boxes
Dialog Boxes
STEPIN Dialog Box
AutoCAD STEP 2010 > Dialog Boxes >
STEPIN Dialog Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • STEPIN Dialog Box
  • STEPIN Options Tab


STEPIN Dialog Box

STEPIN Dialog Boxes
STEPIN Dialog Boxes
STEPIN Options Tab
AutoCAD STEP 2010 > Dialog Boxes > STEPIN Dialog Boxes >
STEPIN Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the STEPIN dialog box to select a STEP file to translate into AutoCAD .dwg format. STEPIN translates the STEP entities contained in the input .stp file and places them in the active .dwg file. You launch a translation by selecting a STEP file and clicking the open button.

From the STEPIN dialog box, you can access an options tab which correspond to option settings in the current options file.

For detailed information on options files and option settings, please see Translation Options.

The following sections describe the STEPIN dialog box in more detail.

Look in

File Area

File Name

Translation Type Box

Translation Types: IGESIN, STEPIN, VDAFSIN

Open button

Cancel button

Options button

Help button

Batch Utility button


STEPIN Options Tab

STEPIN Dialog Box
STEPIN Dialog Boxes
STEPIN Options Tab
AutoCAD STEP 2010 > Dialog Boxes > STEPIN Dialog Boxes >
STEPIN Options Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • STEPIN Options Tab
  • STEPIN Validation Tab


STEPIN Options Tab
STEPIN Options Tab
STEPIN Validation Tab
AutoCAD STEP 2010 > Dialog Boxes > STEPIN Dialog Boxes > STEPIN Options Tab >
STEPIN Options Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the STEPIN Options tab to define translation options. This dialog has the following tab:

  • Validation

The options file area displayed at the bottom of each of the tabbed dialogs allows you to locate, select, create and save options files for STEP translations.


STEPIN Validation Tab

STEPIN Options Tab
STEPIN Options Tab
STEPOUT Dialog Boxes
AutoCAD STEP 2010 > Dialog Boxes > STEPIN Dialog Boxes > STEPIN Options Tab >
STEPIN Validation Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The STEPIN Validation tab allows you to specify whether to process validation properties in the input STEP file, and establish the criteria used to determine when a warning should be issued if differences are detected.

Process Validation Properties

Use this option to import the following information (if contained in the input STEP file) and attach it to the appropriate Mechanical Desktop/AutoCAD entities:

  • volume, area and centroid properties of assemblies
  • volume, area and centroid properties of solids
  • area properties of surfaces.

This information can be used to validate the quality of the translation by determining whether (and by how much) these properties differ before and after STEPIN.

Warn when one of the following is true:

Use the input areas below to specify a percentage or a unit value to use to determine whether to issue a warning at the Command prompt following STEPIN.

Volume/Area Percent Difference Greater Than:

Enter a value in this box to issue a warning if the percentage of the volume or area of solids and assemblies, or the area of surfaces, is different by more than the specified value after STEPIN than before. The default is 1 percent.

Centroid Displacement Greater Than:

Enter a value in this box to issue a warning if the centroid of a solid or assembly has been displaced by a distance of more than the number of units specified after STEPIN than before. The default is 1 unit.

Defaults button

Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


STEPOUT Dialog Boxes

STEPIN Validation Tab
Dialog Boxes
STEPOUT Dialog Box
AutoCAD STEP 2010 > Dialog Boxes >
STEPOUT Dialog Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • STEPOUT Dialog Box
  • STEPOUT Options Tabs


STEPOUT Dialog Box

STEPOUT Dialog Boxes
STEPOUT Dialog Boxes
STEPOUT Options Tabs
AutoCAD STEP 2010 > Dialog Boxes > STEPOUT Dialog Boxes >
STEPOUT Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the STEPOUT dialog box to translate the contents of the current AutoCAD .dwg file into the STEP format.

From the STEPOUT dialog box, you can access options tabs which correspond to option settings in the current options file.

For detailed information on options files and option settings, please see Translation Options.

The following sections describe the STEPOUT dialog box in more detail.

Save In

File Name

Translation Type

Save button

Cancel button

Options button

Help button

Batch Utility button


STEPOUT Options Tabs

STEPOUT Dialog Box
STEPOUT Dialog Boxes
STEPOUT Options Tabs
AutoCAD STEP 2010 > Dialog Boxes > STEPOUT Dialog Boxes >
STEPOUT Options Tabs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • STEPOUT Options Tabs
  • STEPOUT AP Tab
  • STEPOUT Sender Info Tab
  • STEPOUT Description Tab


STEPOUT Options Tabs
STEPOUT Options Tabs
STEPOUT AP Tab
AutoCAD STEP 2010 > Dialog Boxes > STEPOUT Dialog Boxes > STEPOUT Options Tabs >
STEPOUT Options Tabs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the STEPOUT Options tabs to define translation options. This dialog has the following tabs:

  • AP
  • Sender Info
  • Description

The options file area displayed at the bottom of each of the tabbed dialogs allows you to locate, select, create and save options files for STEP translations.


STEPOUT AP Tab

STEPOUT Options Tabs
STEPOUT Options Tabs
STEPOUT Sender Info Tab
AutoCAD STEP 2010 > Dialog Boxes > STEPOUT Dialog Boxes > STEPOUT Options Tabs >
STEPOUT AP Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the STEPOUT AP tab to select the application protocol and conformance class for the file and also to select the units. See AP203 Conformance Classes and AP214 Conformance Class 2 for more information about APs and Conformance Classes.

203: Configuration Control Design

Use this option to select AP203. Use the Conformance Class option below to specify the conformance class.

Validation Properties

Though there is no option in the dialog to select this, you may choose to output validation data for the AP203 extended schema (Conformance Class 6 only) by hand-editing the options file you use for the translation. If you do so, the mass properties of geometric and assembly data will be included in the output STEP file in addition to the geometry and assembly data itself. This information can be used by recipients of the output STEP file to validate how well the data converted to the receiving system. See Validation Overview for further information.

214: Automotive Design

When AP214 is selected, solids are mapped to solids, surfaces to surfaces, and wireframes to wireframes.

Validation Properties

When this checkbox is selected, the mass properties of geometric and assembly data will be included in the output STEP file in addition to the geometry and assembly data itself. This information can be used by recipients of the output STEP file to validate how well the data converted to the receiving system. See Validation Overview for further information.

Units

Allows you to specify global units for the output STEP file. You can select from the drop-down Units menu, or enter user-defined units. To enter user-defined units, select "User-defined" from the Units menu to open the User Defined text box for entry.

Conformance Class

Use this option to select the desired conformance class for AP203. Only one conformance class is supported for AP214 - it is selected by default.

Defaults button

Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


STEPOUT Sender Info Tab

STEPOUT AP Tab
STEPOUT Options Tabs
STEPOUT Description Tab
AutoCAD STEP 2010 > Dialog Boxes > STEPOUT Dialog Boxes > STEPOUT Options Tabs >
STEPOUT Sender Info Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the fields below to enter information about the sender of the STEP file:

Author | Enter name of file's author/sender.
Organization | Enter name of sender's organization.
Address Line 1 | Enter first line of sender's address.
Address Line 2 | Enter second line of sender's address.
Address Line 3 | Enter third line of sender's address.

Defaults button

Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


STEPOUT Description Tab

STEPOUT Sender Info Tab
STEPOUT Options Tabs
Batch File Translation Utility
AutoCAD STEP 2010 > Dialog Boxes > STEPOUT Dialog Boxes > STEPOUT Options Tabs >
STEPOUT Description Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Description text box to enter information about the contents of the STEP file.

Defaults button

Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


Batch File Translation Utility

STEPOUT Description Tab
Dialog Boxes
Batch File Translation Utility
AutoCAD STEP 2010 > Dialog Boxes >
Batch File Translation Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Batch File Translation Utility
  • Translation Type
  • Input Directory (batch utility)
  • Output Directory (batch utility)
  • Options File (batch utility)
  • Batch File


Batch File Translation Utility
Batch File Translation Utility
Translation Type
AutoCAD STEP 2010 > Dialog Boxes > Batch File Translation Utility >
Batch File Translation Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Batch File Translation Utility dialog box to select files, input and output directories and various options for batch translation of files. You can choose to launch the translation from the dialog or save batch options and launch the translation later.

This utility serves as the interface for the existing batch translation tool, ADXBATCH. The graphical interface makes it easier to select options and automates the setup of the tool. In previous releases users needed to create and edit their own batch files before launching ADXBATCH. The utility automates this part of the process so that users may proceed directly from selecting files and options to launching the batch translation.

For detailed information on ADXBATCH, please see ADXBATCH.

The following sections describe the Batch File Translation Utility dialog box in more detail.

  • Translation Type
  • Input Directory
  • Output Directory
  • Options File
  • Use Default Options File
  • Batch File
  • Overwrite Existing Output
  • Start Batch Job Immediately
  • Put Logfiles in Output Directory
  • Defaults button
  • Help button
  • Save button
  • Exit button


Translation Type

Batch File Translation Utility
Batch File Translation Utility
Input Directory (batch utility)
AutoCAD STEP 2010 > Dialog Boxes > Batch File Translation Utility >
Translation Type
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Translation Type pulldown to select the type of file you want to translate. As long as the appropriate translators have been installed, you can choose to translate drawings to IGES , STEP or VDAFS.

NoteThe type displayed in this pulldown is the one used for the previous translation, NOT the one selected on the previous Data Exchange menu (if any). If you want to do a different type of translation (e.g. IGESOUT instead of IGESIN, or STEPOUT instead of IGESOUT) you must select a translation type on this batch utility dialog even if you have already selected a type on the previous Data Exchange menu.


Input Directory (batch utility)

Translation Type
Batch File Translation Utility
Output Directory (batch utility)
AutoCAD STEP 2010 > Dialog Boxes > Batch File Translation Utility >
Input Directory (batch utility)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The text in the Input Directory area displays the currently specified input directory from which to import files for batch translation. To specify a different input directory, choose the Browse button to display the Browse for Directory dialog and use it to locate and select a new input directory. The text will be updated to reflect your new selection.


Output Directory (batch utility)

Input Directory (batch utility)
Batch File Translation Utility
Options File (batch utility)
AutoCAD STEP 2010 > Dialog Boxes > Batch File Translation Utility >
Output Directory (batch utility)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The text in the Output Directory area displays the currently specified output directory in which to place the files created during the batch translation. To specify a different output directory, choose the Browse button to display the Browse for Directory dialog and use it to locate and select a new output directory. The text will be updated to reflect your new selection.


Options File (batch utility)

Output Directory (batch utility)
Batch File Translation Utility
Batch File
AutoCAD STEP 2010 > Dialog Boxes > Batch File Translation Utility >
Options File (batch utility)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The text in the Options File area displays the currently specified options file to be used during the batch translation. To specify a different options file, choose the Browse button to display the Browse for Directory dialog and use it to locate and select a new directory and file. The text will be updated to reflect your new selection.


Batch File

Options File (batch utility)
Batch File Translation Utility
AMSTEPATT Dialog Boxes
AutoCAD STEP 2010 > Dialog Boxes > Batch File Translation Utility >
Batch File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The text in the Batch File area displays the name and path of the batch file you are creating using the Batch File Translation Utility. This batch file is used to store the options you have selected for the batch translation.


AMSTEPATT Dialog Boxes

Batch File
Dialog Boxes
Product Identification for Part/Subassembly (AMSTEPATT) Dialog
AutoCAD STEP 2010 > Dialog Boxes >
AMSTEPATT Dialog Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Product Identification for Part/Subassembly (AMSTEPATT) Dialog
  • Part/Subassembly Information Area
  • Part/Subassembly Version Information Area
  • Design Information Area
  • Person, Organization Information Dialog
  • Approval Dialog
  • Using AMSTEPATT on the Command Line


Product Identification for Part/Subassembly (AMSTEPATT) Dialog

AMSTEPATT Dialog Boxes
AMSTEPATT Dialog Boxes
Part/Subassembly Information Area
AutoCAD STEP 2010 > Dialog Boxes > AMSTEPATT Dialog Boxes >
Product Identification for Part/Subassembly (AMSTEPATT) Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This dialog box is displayed when you use the AMSTEPATT command and select the desired part or assembly.

Use this dialog box to create, view and edit product data management (PDM) information attached to Mechanical Desktop components. Once created, PDM data can be exported to a STEP file using the Certified AutoCAD STEP Translator. You can also use a command line interface to enter or edit PDM data.

The Certified AutoCAD STEP Translator is a STEP translator that has passed ISO AP203 conformance class 6a certification testing to become an officially certified product.

The functionality added to achieve certification is as follows:

  • New Mechanical Desktop entities that store product data management (PDM) data. PDM data can be attached to specific Mechanical Desktop components in the drawing, and provides information such as part version, design identification, ownership, and approval. This data is stored and retrieved along with Mechanical Desktop drawing files.
  • A Mechanical Desktop command called AMSTEPATT is included with the Certified STEP product. This command runs a utility that allows you to create, view and edit PDM information attached to desktop components. AMSTEPATT can display a set of dialogs or be used at the command line.
  • Certified AutoCAD STEP translates PDM data attached to MDT components to STEP AP 203 format, and also reads PDM data from STEP AP 203 files and attaches it to MDT components.

The following sections describe the AMSTEPATT utility's dialogs in more detail.

Part/Subassembly Information Area

Part/Subassembly Version Information Area

Design Information Area

OK button

Cancel button

Help button


Part/Subassembly Information Area

Product Identification for Part/Subassembly (AMSTEPATT) Dialog
AMSTEPATT Dialog Boxes
Part/Subassembly Version Information Area
AutoCAD STEP 2010 > Dialog Boxes > AMSTEPATT Dialog Boxes >
Part/Subassembly Information Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Part/Subassembly Information area to enter or edit general information about the component to which the PDM data is attached.

Part/Subassembly Number

Enter the component's number.

Standard

Check this box if the component is considered a standard part. The default is No (box unchecked).

Part/Subassembly Type

Name | Select the type name for the component. Valid type names are Assembly, Customer supplied material, Detail, and Inseparable assembly. The default is Detail.
Description | Enter text describing the component's type.

Classification

Name | Select the classification name for the component. Valid names are Cast, cOined, Drawn, Extruded, forGed, Formed, Machined, moLded, Rolled, Sheared, and Unspecified. The default is Formed.
Description | Enter text describing the component's classification.

Owner button (displays the Person, Organization Information dialog)


Part/Subassembly Version Information Area

Part/Subassembly Information Area
AMSTEPATT Dialog Boxes
Design Information Area
AutoCAD STEP 2010 > Dialog Boxes > AMSTEPATT Dialog Boxes >
Part/Subassembly Version Information Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Part/Subassembly Version Information area to enter or edit information about the version of the component to which the PDM data is attached.

Revision Letter

Enter a code that uniquely identifies this revision of the component.

Make/Buy Code

Select the component's make/buy code. Valid selections are Bought, Make, and Not known. The default is Not known.

Security Code

Select the component's security level. Valid selections are Classified, Confidential, Proprietary, Secret, Top secret, and Unclassified. The default is Unclassified.

Creator button (displays the Person, Organization Information dialog)

Approver button (displays the Person, Organization Information dialog

Approval button (displays the Approval dialog)


Design Information Area

Part/Subassembly Version Information Area
AMSTEPATT Dialog Boxes
Person, Organization Information Dialog
AutoCAD STEP 2010 > Dialog Boxes > AMSTEPATT Dialog Boxes >
Design Information Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Design Information area to enter or edit information about the design of the component to which the PDM data is attached.

Discipline Type

Enter the design discipline type for the component.

Discipline details

Enter detailed information about the component design discipline.

Description

Enter a description of the design.

Creation Date

Use the calendar displayed to select the appropriate creation date.

Creator button (displays the Person, Organization Information dialog)

Approver button (displays the Person, Organization Information dialog)

Approval button (displays the Approval dialog)


Person, Organization Information Dialog

Design Information Area
AMSTEPATT Dialog Boxes
Person, Organization Information Dialog
AutoCAD STEP 2010 > Dialog Boxes > AMSTEPATT Dialog Boxes >
Person, Organization Information Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Person, Organization Information Dialog
  • Person Information Area
  • Organization Information Area


Person, Organization Information Dialog
Person, Organization Information Dialog
Person Information Area
AutoCAD STEP 2010 > Dialog Boxes > AMSTEPATT Dialog Boxes > Person, Organization Information Dialog >
Person, Organization Information Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This dialog is displayed when you choose the Owner, Creator or Approval button on the Product Identification for Part/Subassembly dialog, which you display by using the AMSTEPATT command.

Use this dialog box to enter or edit information about the person who owns,creates, or approves this product data management data for the selected component.

Person Information

Organization Information

OK button

Cancel button

Help button


Person Information Area

Person, Organization Information Dialog
Person, Organization Information Dialog
Organization Information Area
AutoCAD STEP 2010 > Dialog Boxes > AMSTEPATT Dialog Boxes > Person, Organization Information Dialog >
Person Information Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the fields below to enter or edit information about the person who owns, creates or approves the part/subassembly:

ID

Enter the ID number of the person who owns, creates or approves the component.

Prefix Title

Enter the prefix to the title of the person who owns, creates or approves the component. (For example, Mr. or Dr.)

Suffix Title

Enter the suffix to the title of the person who owns, creates or approves the component. (For example, Jr. or M.D.)

First Name

Enter the first name of the person who owns, creates or approves the component.

Middle Name

Enter the middle name of the person who owns, creates or approves the component.

Last Name

Enter the last name of the person who owns, creates or approves the component.


Organization Information Area

Person Information Area
Person, Organization Information Dialog
Approval Dialog
AutoCAD STEP 2010 > Dialog Boxes > AMSTEPATT Dialog Boxes > Person, Organization Information Dialog >
Organization Information Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the fields below to enter or edit information about the organization that produced the part/subassembly:

ID

Enter the ID number of the organization that owns, creates or approves the component.

Name

Enter the name of the organization that owns, creates or approves the component.

Description

Enter the description of the organization that owns, creates or approves the component.


Approval Dialog

Organization Information Area
AMSTEPATT Dialog Boxes
Approval Dialog
AutoCAD STEP 2010 > Dialog Boxes > AMSTEPATT Dialog Boxes >
Approval Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Approval Dialog


Approval Dialog
Approval Dialog
Using AMSTEPATT on the Command Line
AutoCAD STEP 2010 > Dialog Boxes > AMSTEPATT Dialog Boxes > Approval Dialog >
Approval Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This dialog is displayed when you choose the Approval button on the Product Identification for Part/Subassembly dialog, which you display by using theAMSTEPATT command.

Use this dialog box to enter or edit information about the approval purpose, status and date.

Purpose

Enter the purpose of the approval.

Status

Select the appropriate approval status. Valid selections are approved, disapproved, not yet approved, and withdrawn.

Date

Use the calendar displayed to select the appropriate approval date.


Using AMSTEPATT on the Command Line

Approval Dialog
AMSTEPATT Dialog Boxes
Using AMSTEPATT on the Command Line
AutoCAD STEP 2010 > Dialog Boxes > AMSTEPATT Dialog Boxes >
Using AMSTEPATT on the Command Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Using AMSTEPATT on the Command Line


Using AMSTEPATT on the Command Line
Using AMSTEPATT on the Command Line
Reference
AutoCAD STEP 2010 > Dialog Boxes > AMSTEPATT Dialog Boxes > Using AMSTEPATT on the Command Line >
Using AMSTEPATT on the Command Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can use the AMSTEPATT command from the Mechanical Desktop or AutoCAD command line. To do so, follow these steps.

NoteDue to the complexity of this command, we recommend that you use the dialogs instead of the command line interface.
  1. Set the CMDDIA system variable to 0.
  2. At the Mechanical Desktop or AutoCAD Command prompt, enter amstepatt and press return. The following prompt is displayed.

    Select a part or assembly for attribute editing <default>:

  3. Select a part or assembly and press return. If you select an invalid piece of geometry (i.e. not a part or an assembly), the message "1 entity filtered out" will be displayed at the Command prompt. This will continue until you select a part or an assembly.
  4. Once the desired part or assembly is selected, continue to respond to the prompts as they are displayed at the command line.


Reference

Using AMSTEPATT on the Command Line
AutoCAD STEP 2010
Glossary
AutoCAD STEP 2010 >
Reference
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Glossary
  • Bibliography


Glossary

Reference
Reference
Glossary
AutoCAD STEP 2010 > Reference >
Glossary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Glossary


Glossary
Glossary
Bibliography
AutoCAD STEP 2010 > Reference > Glossary >
Glossary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Advanced Boundary Representation
Advanced Boundary Representation
ANSI
Application Protocol (AP)
ASCII
assembly
boundary representation (B-rep)
component
Conformance Classes
constructive solid geometry
DIN
DXF
entity
EXPRESS
geometric modeling
IPO
ISO
log file
long names (STEP entities)
manifold
Manifold Surface Model with Topology
object
PDES
PDES Incorporated
short names (STEP entities)
Solid Model
solid modeling
STEP
surface model
Technical Committee 184, Subcommittee 4 (TC184/SC4)
Topology
Translator
wireframe model


Bibliography

Glossary
Reference
Bibliography
AutoCAD STEP 2010 > Reference >
Bibliography
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Bibliography


Bibliography
Bibliography
AutoCAD STEP 2010 > Reference > Bibliography >
Bibliography
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEP Publications

Product Data Exchange Using STEP (ISO/PDES) Part 1: Overview and Fundamental Principles, U. S. Product Data Association, Fairfax, VA.

Product Data Exchange Using STEP (ISO/PDES) Part 11: The EXPRESS Language Reference Manual, U. S. Product Data Association, Fairfax, VA.

Product Data Exchange Using STEP (ISO/PDES) Part 203: Application Protocol: Configuration Controlled Design, U. S. Product Data Association, Fairfax, VA.

NoteISO/PDES documentation for Part 214 has not yet been published in its final form, since Part 214 is still a Draft International Standard.

Owen, Jon, STEP: An Introduction, 1993, Information Geometers Ltd., Winchester, UK.

Schenck, Douglas and Wilson, Peter, Information Modeling: The EXPRESS Way, 1994, Oxford University Press, Oxford, UK.

STEP-Related Articles in Print

Clapp, Edward, An Introduction to STEP, CAD Productivity Sourcebook, 1994, Miller-Freeman, San Francisco, CA.

Information about Solid Modeling

Hoffman, Christoph M., Geometric and Solid Modeling: An Introduction, 1989, Morgan Kaufmann Publishers, Inc., San Mateo, CA.

Mortensen, Michael E., Geometric Modeling, 1985, John Wiley and Sons, Inc., New York, NY.

Weiler, Kevin J., Topological Structures for Geometric Modeling, 1986, University Microfilms International, Ann Arbor, MI.


Wireframe Model

Bibliography
STEP Help
AutoCAD STEP 2010 > STEP Help >
Wireframe Model
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Wireframe models are composed of lines, curves and points defining the edges and corners of an object, with each element constructed separately and independently of other elements in the model.


Virtual Memory Issues

Bibliography
AutoCAD STEP 2010 > STEP Help >
Virtual Memory Issues
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When performing STEP translations you might experience virtual memory problems. Two methods for improving system resource utilization during translations are: redirecting the storage of temporary files (see Temporary Files) and increasing available virtual memory. Use either or both of these methods to help keep your translations from running out of space or failing to complete.


Validation Overview

Bibliography
AutoCAD STEP 2010 > STEP Help >
Validation Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The STEP Translator now produces area, volume and centroid properties for Mechanical Desktop components on export and reads these properties on import from other systems. This information can be used to validate the quality of the translation by determining whether (and by how much) STEP data in Mechanical Desktop/AutoCAD differs in volume, area and centroid position for solids and assemblies - and area for surfaces - from STEP data in other systems.

For STEPIN, you can specify whether validation is performed, and if it is you can specify acceptable percentage and unit differences between values for area, volume and centroid movement for assemblies, solids and surfaces. If validation properties exist in the input STEP file, they are compared to the data created after input into MDT/AutoCAD and the results of the comparisons are placed in the STEPIN logfile. A warning is displayed at the AutoCAD command line if the overall results are not within the user-specified volume/area percentage or centroid displacement distance.

For STEPOUT, a validation properties checkbox is displayed when AP 214 DIS is chosen that when checked includes validation properties in the output STEP file.

Validation properties can also be created in the AP203 extended schema, though no option exists in the user interface to select this because AP203 extended schema is not an official standard. You must hand-edit the output_ap option in the options file used for STEPOUT to produce this extended-schema validation data. To do so, set the output_ap option to 2030. Please note that validation properties are supported only for class 6 data - if class 2 or class 4 is selected, validation data will not be produced even if the output_ap option is set to 2030.


Exit button

Bibliography
AutoCAD STEP 2010 > STEP Help >
Exit button
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Exits the Batch File Translation Utility and returns you to the previous dialog.


Save button

Bibliography
AutoCAD STEP 2010 > STEP Help >
Save button
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Saves current values to the .bat file whose location is shown in the Batch File field.


Help button

Bibliography
AutoCAD STEP 2010 > STEP Help >
Help button
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Displays online help for this dialog.


Defaults button

Bibliography
AutoCAD STEP 2010 > STEP Help >
Defaults button
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this box is checked, all options in the Batch Utility are reset to their default values. The specifications for input and output directory are left blank as there is no obvious default for these. The Overwrite Existing Output and Start Batch Job Immediately boxes are unchecked, and the Use Default Options file box and Put Logfiles in Output directory boxes are checked.


Use Default Options File

Bibliography
AutoCAD STEP 2010 > STEP Help >
Use Default Options File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this box is checked, the default options file is used during the batch translation. When it is unchecked, the previously used options file (if any) will be displayed, and the Browse button will be activated so that you can select a different options file if you want to.

This box is checked by default.


Put Logfiles in Output Directory

Bibliography
AutoCAD STEP 2010 > STEP Help >
Put Logfiles in Output Directory
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this box is checked, the logfiles created at the completion of each file translation will be placed in the output directory. When it is unchecked they will be placed in the location used for the previous translation.

This box is checked by default for IGESIN, STEPIN and VDAFSIN. However, it is unchecked and grayed for IGESOUT, STEPOUT and VDAFSOUT because this option cannot be selected for these translators.


Start Batch Job Immediately

Bibliography
AutoCAD STEP 2010 > STEP Help >
Start Batch Job Immediately
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this box is checked, the batch job whose options you have set using the Batch File Translation utility will be launched immediately. Note that you will still be required to exit the utility by pressing the Exit button when the batch translation is complete. When the box is unchecked, you will not be prompted to run the batch translation when you exit the Batch File Translation Utility. You can choose to run the batch file created at any time.

This box is unchecked by default.


Overwrite Existing Output

Bibliography
AutoCAD STEP 2010 > STEP Help >
Overwrite Existing Output
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this box is checked, files created by ADXBATCH will overwrite any existing files in the output directory.

This box is unchecked by default.


Batch Utility

Bibliography
AutoCAD STEP 2010 > STEP Help >
Batch Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Displays the Batch File Translation Utilitydialog, which allows you to set and save options for batch translations of files. You can choose whether to launch the batch translation from the dialog or save the settings and launch the job later.


Help

Bibliography
AutoCAD STEP 2010 > STEP Help >
Help
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Displays online Help for the dialog box.


Options

Bibliography
AutoCAD STEP 2010 > STEP Help >
Options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the options button to display the STEPOUT Options Tabs, which allows you to select, edit, save. and create new options files, or to set options for this translation only.


Cancel

Bibliography
AutoCAD STEP 2010 > STEP Help >
Cancel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Cancels the dialog box and ignores any changes.


Save

Bibliography
AutoCAD STEP 2010 > STEP Help >
Save
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Closes the dialog box and launches the translation.


Sample Warning

Bibliography
AutoCAD STEP 2010 > STEP Help >
Sample Warning
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

One or more data items processed during the STEP translation process was not within (the user-specified) percent of the volume/area or had a centroid that moved more than (the user-specified) number of units from the data on the original system. Please check the Validation Property Summary section of the the logfile (your logfile path) for more information.


Help

Bibliography
AutoCAD STEP 2010 > STEP Help >
Help
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Displays online help for this dialog.


Defaults

Bibliography
AutoCAD STEP 2010 > STEP Help >
Defaults
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Restores all options in the specified options file to default values for the options on this dialog box only. Note that this is different from the Default button, which is located in options file area at the bottom of each tabbed dialog and resets the values for all options in the specified file.


Options

Bibliography
AutoCAD STEP 2010 > STEP Help >
Options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the options button to display the STEPIN Options Tabs, which allows you to select, edit, save. and create new options files, or to set options for this translation only.


Open

Bibliography
AutoCAD STEP 2010 > STEP Help >
Open
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Closes the dialog box and launches the translation.


File Area

Bibliography
AutoCAD STEP 2010 > STEP Help >
File Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.


Translation Types: IGESIN, STEPIN, VDAFSIN

Bibliography
AutoCAD STEP 2010 > STEP Help >
Translation Types: IGESIN, STEPIN, VDAFSIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This is a listing of the types of files you can use this dialog to import. As long as the appropriate translators have been installed, you can choose IGES , STEP or VDAFS files to translate.

NoteSelecting a file of one of these file types to translate causes the appropriate translator (IGESIN, STEPIN, VDAFSIN) to be used.


Surface

Bibliography
AutoCAD STEP 2010 > STEP Help >
Surface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use Surface [image] Edit Surface [image] Flip Normals (AMEDITSF at the Mechanical Desktop command line) to change the direction of surface normals.


Normal

Bibliography
AutoCAD STEP 2010 > STEP Help >
Normal
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A normal is a vector that is perpendicular to the face and points outward toward space.


OK

Bibliography
AutoCAD STEP 2010 > STEP Help >
OK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Closes the dialog box and saves the information you specified.


UNDOCTL System Variable

Bibliography
AutoCAD STEP 2010 > STEP Help >
UNDOCTL System Variable
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The UNDOCTL AutoCAD system variable determines whether AutoCAD writes undo.ac$ files to the hard drive. For large STEP translations these files can be as large as 40 MB. Writing these files to the hard drive can add 10-15 minutes to the translation process, and sometimes significantly longer when combined with the other tasks the Translator is trying to perform. Preventing the creation of the undo.ac$ file can also be beneficial for users with limited drive space.

If you do elect to prevent the creation of these files, however, you will not be able to perform UNDO operations. Consult your AutoCAD documentation for further information about UNDO and UNDOCTL.

To change the setting of this variable, enter the UNDO command at the AutoCAD command prompt, then enter CONTROL, then NONE.

Resetting the UNDOCTL variable can significantly decrease the time needed to perform STEP translations, but when the translation is completed it is recommended that you restore the original value of UNDOCTL by entering UNDO and ALL at the command line.


International Standards Organization (ISO)

Bibliography
AutoCAD STEP 2010 > STEP Help >
International Standards Organization (ISO)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Developers of STEP with international markets drawn from the U.S., Europe, and Japan. The ISO group responsible for STEP development is Technical Committee 184, Subcommittee 4.


Group (STEPOUT mappings)

Bibliography
AutoCAD STEP 2010 > STEP Help >
Group (STEPOUT mappings)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEPOUT supports the mapping of AutoCAD and Mechanical Desktop group information using the STEP AUTO_DESIGN_GROUP_ASSIGNMENT (AP214 CD) or the APPLIED_DESIGN_GROUP_ASSIGNMENT (AP214 DIS).


Group (STEPIN mappings)

Bibliography
AutoCAD STEP 2010 > STEP Help >
Group (STEPIN mappings)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEPIN supports the mapping of group information (using AUTO_DESIGN_GROUP_ASSIGNMENT in AP214 CD and APPLIED_DESIGN_GROUP_ASSIGNMENT in AP214 DIS) for STEP solids into Mechanical Desktop component definitions for drawings created in assembly mode. It also supports the mapping of group information into AutoCAD block references.

NoteSTEPIN does not support the nesting of groups. Groups that are nested inside a single block reference will not be directly accessible in the .dwg file.


Geometric Modeling

Bibliography
AutoCAD STEP 2010 > STEP Help >
Geometric Modeling
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Various methods and techniques for the representation of geometric shapes.These representations, or models, are used for a variety of purposes, including the computer-aided design and manufacture of products. Geometric modeling techniques include wireframe, surface, a subset of which is boundary representation (B-rep).


File Name

Bibliography
AutoCAD STEP 2010 > STEP Help >
File Name
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Allows you to specify the name of the STEP file to be created from the current drawing. To launch the translation using the default options, click the Save button.

To specify different options, click the Options button to display the STEPOUT options tabs. Use the options dialog tabs to navigate to the options you want to change and change them. Once options are selected, return to the STEPOUT dialog and click Save to launch the translation.


File Name

Bibliography
AutoCAD STEP 2010 > STEP Help >
File Name
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Displays the name of the file selected from the Look in: pulldown and display area above. Click the Open button to launch the translation.


Files Transferred Among Different Computer Systems

Bibliography
AutoCAD STEP 2010 > STEP Help >
Files Transferred Among Different Computer Systems
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Problems can arise when you transfer files among different kinds of computer systems, particularly with large systems running operating systems other than DOS, Windows or UNIX. Ideally, you should transfer STEP files using the same protocol you would use for a text file. You should be able to view the STEP files with a standard text editor, and the STEP files should have normal-looking printable characters.


External Reference

Bibliography
AutoCAD STEP 2010 > STEP Help >
External Reference
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

External references are treated just like block references that are local to the drawing for STEP mapping purposes.


EXPRESS

Bibliography
AutoCAD STEP 2010 > STEP Help >
EXPRESS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

EXPRESS is an ISO-defined data specification language based on an entity-attribute relationship model. It is used to specify the normative part of all the information models in STEP, including integrated resources and application protocols. It is both human-readable and computer-processable.


entity

Bibliography
AutoCAD STEP 2010 > STEP Help >
entity
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The basic unit of information in a STEP or AutoCAD .dwg file The term applies to individual elements of geometry, annotations used to form dimensions, or entities used to form structured entities.


DXF

Bibliography
AutoCAD STEP 2010 > STEP Help >
DXF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Drawing Interchange Format.


Disk I/O Errors

Bibliography
AutoCAD STEP 2010 > STEP Help >
Disk I/O Errors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Text of Message

"Disk I/O Error: Variable TEMP should point to a directory with lots of diskspace"

This message means that the Translator encountered a low-level error when reading or writing a temporary disk file. The most common cause is that the disk was full, but there are other possibilities.

If one disk drive is filling up but you have other disk drives with extra free space, see Temporary Files for information on how to make the Translator use a specified directory to store its temporary files. If this error occurs when you are certain there is plenty of disk space available, check the FILES= and BUFFERS= statements in the config.sys file. Recommended minimums are FILES=50 and BUFFERS=40, although you may have to increase beyond these minimums for some situations.


DIN

Bibliography
AutoCAD STEP 2010 > STEP Help >
DIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

German national standards organization (Deutsches Institut Fur Normung ).


Creating New Options Files

Bibliography
AutoCAD STEP 2010 > STEP Help >
Creating New Options Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To create new options files:

  1. In the STEPOUT Options Editor dialog box, choose Edit Options.
  2. Choose Save As.
  3. In the Filename field of the Save As dialog box, enter the name to give the new file and choose OK to return to the STEPOUT Options Editor dialog box. The name of the file you just created is now displayed in the Current File field.
  4. Edit the file as desired, using the Description List Editor or Sender Information Dialog buttons to add information.
  5. Choose Save or Save As again to save the information.


Converting AutoCAD Block References to Mechanical Desktop Assemblies

Bibliography
AutoCAD STEP 2010 > STEP Help >
Converting AutoCAD Block References to Mechanical Desktop Assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEP Translator maps STEP assembly structures to AutoCAD block references. A tool, AMASSEM, is provided to convert these block references to Mechanical Desktop assembly structures.


constructive solid geometry

Bibliography
AutoCAD STEP 2010 > STEP Help >
constructive solid geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A solid modeling method using Boolean operations (addition, subtraction, and difference) on two sets of objects to define composite models.


Conformance Classes

Bibliography
AutoCAD STEP 2010 > STEP Help >
Conformance Classes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Conformance testing is the examination of a product for the existence of specific characteristics required by a standard to determine the extent to which the product conforms to that standard. A conformance class is the subset of an APfor which conformance may be claimed.


Compressing STEP Files

Bibliography
AutoCAD STEP 2010 > STEP Help >
Compressing STEP Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEP files can be large and can contain a significant number of blank spaces. Depending on how the files are transferred from one computer to another, you may want to compress the files before sending them. They will have to be uncompressed before they can be used.

You can compress STEP files using one of the commonly available general-purpose compression programs, many of which can be downloaded from bulletin board systems and websites, that compress any form of data. See the documentation for the compression program in question for details.

Before using any form of data compression, verify that the receiver will be able to uncompress the data. Advance coordination between sender and receiver is important.


Components and/or Block Reference

Bibliography
AutoCAD STEP 2010 > STEP Help >
Components and/or Block Reference
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Assemblies in AutoCAD

STEPIN maps all STEP assembly structures to AutoCAD blocks and block references. These can contain any combination of wireframe, surface and solid data. Each individual product in an input STEP file is translated into an AutoCAD block, which is then referenced from model space. The name of the AutoCAD block will be the same as the name of the product in the STEP file, unless the STEP product name has spaces or exceeds the AutoCAD character limit. If it has spaces, they are replaced with underbar ( _ ) characters, and names longer than the limit are truncated. If this truncation results in identically named blocks, a unique name is assigned to one of the blocks.

Assemblies in Mechanical Desktop

The Mechanical Desktop has two environments into which STEP files can be imported: the part environment and the assembly environment. In the part environment, STEP assembly structure mappings are the same as those for AutoCAD (described in the Assemblies in AutoCAD section above). No Desktop-specific data is created. In the assembly environment, STEPIN maps solids into the Desktop component/assembly structure, while non-solid data is mapped to blocks and block references. Instance names in the input STEP file are preserved and used as names for the component/assembly instances created from the solids.

NoteSTEP instance names are only preserved when STEP assembly structures are mapped to Mechanical Desktop assemblies. These instance names are lost when assembly structures are mapped to blocks and block references.


component

Bibliography
AutoCAD STEP 2010 > STEP Help >
component
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A product that is not subject to decomposition.


Color (STEPOUT mappings)

Bibliography
AutoCAD STEP 2010 > STEP Help >
Color (STEPOUT mappings)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEPOUT supports the mapping of AutoCAD colors to the STEP entities COLOUR_RGB and DRAUGHTING_PRE_DEFINED_COLOUR. The predefined AutoCAD colors black, red, green, blue, yellow, magenta, cyan and white are mapped directly to their corresponding values using DRAUGHTING_PRE_DEFINED_COLOUR. All other colors are converted to their closest equivalents using the AutoCAD hue-saturation-value (HSV) color system and mapped to STEP COLOUR_RGB entities.

NoteSTEPOUT supports only one color for each entity. A parent entity of one color that contains child entities of different colors will be mapped to a single color in the .stp file. For example, a drawing that contains a solid that has one color but also has individual faces with different colors (e.g. a black solid with red and green faces) will be mapped to the parent entity's color in the STEP file. Similarly, assembly-based coloring in which components or pieces of components have different colors based on their use within the assembly is also not supported in this release.


Color (STEPIN mappings)

Bibliography
AutoCAD STEP 2010 > STEP Help >
Color (STEPIN mappings)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEPIN supports the mapping of colors that are attached to REPRESENTATION_ITEMs referenced by representations in the input STEP file. The STEP color entities supported by STEPIN are: COLOUR, COLOUR_RGB, DRAUGHTING_PRE_DEFINED_COLOUR, FILL_AREA_STYLE_COLOUR, MECHANICAL_DESIGN_GEOMETRIC_PRESENTATION_REPRESENTATION, PRE_DEFINED_COLOUR, PRESENTATION_STYLE_ASSIGNMENT, STYLED_ITEM, and SURFACE_STYLE_FILL_AREA.

The DRAUGHTING_PRE_DEFINED COLOUR entity can be defined as black, red, green, blue, yellow, magenta, cyan or white. Each of these is mapped to its exact equivalent in AutoCAD. The COLOUR_RGB entity contains all other color data, which is converted to its closest equivalent using the AutoCAD hue-saturation-value(HSV) color system.

NoteSTEPIN supports only one color for each entity. A parent entity of one color that contains child entities of different colors will be mapped to a singlecolor in the .dwg file. For example, a STEP file that contains a solid that has one color but also has individual faces with different colors (e.g. a black solid with red and green faces) will be mapped to a single color (that of the parent entity) in the .dwg file.


Circle or Arc

Bibliography
AutoCAD STEP 2010 > STEP Help >
Circle or Arc
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

It's an arc if the STEP entity is trimmed by a trimmed_curve.


Browse Button (batch utility)

Bibliography
AutoCAD STEP 2010 > STEP Help >
Browse Button (batch utility)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Displays the Browse for Directory dialog, which allows you to search for and select a folder for input or output of translated files, options files and batch files. The open folder in the display area is the folder that is currently selected. You can select a different folder by clicking it.

To search for a directory on a drive or network location not currently displayed, either select a drive in the Drives: drop-down or select the Network... button to search for the desired directory.

When you have located the desired directory, click its folder icon to select it, then choose OK to return to the Batch Utility dialog.

NoteYou can only select directories that already exist using this dialog; you cannot create a new directory from within the Batch Translation utility.


Boundary Representation (B-rep)

Bibliography
AutoCAD STEP 2010 > STEP Help >
Boundary Representation (B-rep)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A solid model represented by the set of shells defining their exterior or interior boundaries. Constraints ensure that the associated geometry is well defined and that the Euler formula connecting the numbers of vertices, edges, faces, loops and shells in the model is satisfied. (ISO 10303-203: 1994)


Block

Bibliography
AutoCAD STEP 2010 > STEP Help >
Block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Only supported when referenced.


AutoCAD STEP Translator

Bibliography
AutoCAD STEP 2010 > STEP Help >
AutoCAD STEP Translator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Mapping Tables

These quick reference tables provide pop-up information about specific STEP entities and AutoCAD objects and how they translate.

STEP to AutoCAD Mapping Table

AutoCAD to STEP Mapping Table

Topics

Understanding the AutoCAD STEP Translator

Entity Translation

Translation Options

Using the STEP Translator

Translator Tools

Troubleshooting and Tips

Dialog Boxes

The dialog box topics describe the STEP dialog boxes and their use.

STEPIN Dialog Box

STEPOUT Dialog Boxes

AMSTEPATT Dialog Boxes

Reference

Glossary

Bibliography


assembly

Bibliography
AutoCAD STEP 2010 > STEP Help >
assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A product that can be decomposed into a set of components or other assemblies.


ASCII

Bibliography
AutoCAD STEP 2010 > STEP Help >
ASCII
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

American Standard Code for Information Interchange.


Application Protocol (AP)

Bibliography
AutoCAD STEP 2010 > STEP Help >
Application Protocol (AP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An Application Protocol (AP) provides the requirements for specific STEP implementations by defining the application's domain or context. APIs also define the conformance requirements that provide the basis for testing. They are numbered from 200-299, and may be subdivided into conformance classes.


ANSI

Bibliography
AutoCAD STEP 2010 > STEP Help >
ANSI
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

American National Standards Institute, a government agency responsible for sanctioning the development and use of standards in a broad range of fields.


Translation Type

Bibliography
AutoCAD STEP 2010 > STEP Help >
Translation Type
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Translation Type pulldown to select the type of file you want to translate. As long as the appropriate translators have been installed, you can choose IGES , STEP or VDAFS files to translate. Note that selecting a type of file to translate also causes the appropriate translator (IGESIN, STEPIN, or VDAFSIN, if present) to be used.

The text below the Translation Types edit box indicates:

  • the possible translation types (IGESIN, STEPIN, VDAFSIN).
  • the word *defaults* is always displayed on the line below the possible translation types because there are no input options for STEP translations.


Topology

Bibliography
AutoCAD STEP 2010 > STEP Help >
Topology
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

B-rep models consist of two types of information: topology and geometry. Topology is the information about the connectivity and adjacency of the various elements of the model, and geometry is the mathematical description of the elements themselves.


Surface Modeling

Bibliography
AutoCAD STEP 2010 > STEP Help >
Surface Modeling
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Surface models consist of information about the shapes and characteristics of the surfaces of objects. However, surface representations do not include information about the structural integrity or "insides" of objects.


STEP (Standard for the Exchange of Product Model Data)

Bibliography
AutoCAD STEP 2010 > STEP Help >
STEP (Standard for the Exchange of Product Model Data)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An international standard under development for the exchange of product data throughout the product's lifecycle. See also IPO and ISO.


STEPIN Log File Description

Bibliography
AutoCAD STEP 2010 > STEP Help >
STEPIN Log File Description
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEPIN translates the STEP entities contained in the input .stp file and places them in the active .dwg file. STEPIN also creates a log file called filename.xli, where filename is the name of the STEP file translated. This log file contains text that describes the results of the translation process, divided into the following sections:

Identification Information

Date | date of translation
Time | time of translation
Translator Version | the version of the STEP Translator used for the translation
AutoCAD Version | the version of AutoCAD used for the translation
Log file | name of this log file
Translating from | name of the STEP file containing entities being translated
Translating to | name of the AutoCAD DWG file in which translation results are placed

Parse Phase Messages

Specific error and informational messages regarding parsing the STEP file contents into memory.

Translation Phase Messages

Specific error and informational messages regarding translating STEP entities into AutoCAD.

Entity Summary

A count of the STEP entities processed into the AutoCAD database.

Error Summary

The number of errors that occurred during the translation process.

Time Summary

The elapsed processor and elapsed clock time for the translation process.


Solid Modeling

Bibliography
AutoCAD STEP 2010 > STEP Help >
Solid Modeling
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Solid models consist of information about the closure and connectivity of the volumes of geometric shapes. Solid modeling offers a number of advantages over surface representations in that it helps ensure that models created will form closed and bounded (and thus manufacturable) objects, in which you can distinguish the outside from the inside.


Scaled Block References Not Supported

Bibliography
AutoCAD STEP 2010 > STEP Help >
Scaled Block References Not Supported
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD STEP translator does not support the export of AutoCAD block references that are scaled (either uniformly or non-uniformly). Scaled block references are output with a scale of 1.0 and a warning message is placed in the logfile. One workaround is to explode scaled block references before exporting, so that the data is exported as scaled. This workaround will not be possible for certain types of data. You cannot explode non-uniformly scaled blocks containing certain objects, e.g., spheres. If you try to explode a block of this type, you will receive an error message at the AutoCAD command line.


Save In

Bibliography
AutoCAD STEP 2010 > STEP Help >
Save In
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Save In: pulldown to locate and select the directory in which you want to place the STEP file after translation. The contents of the directory selected in the drop-down are shown in the display area below.

To launch the translation using the default options, click the Save button.

To specify different options, click the Options button to display the Stepout options dialog box. Use the options tabs to navigate to the option settings you want to change and change them. Once options are selected, return to the STEPOUT dialog box and click Save to launch the translation.


Running the AutoCAD Tools

Bibliography
AutoCAD STEP 2010 > STEP Help >
Running the AutoCAD Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The directory in which AutoCAD or Mechanical Desktop was installed containsAutoLISP and ObjectARX™ programs (extensions .lsp and .arx) which are run by using the Load Application dialog. Once they have been loaded in a given session, you can run these programs from the AutoCAD or Mechanical Desktop command prompt during that session. If you want these programs to load on start-up, add their full names (toolname.arx) to your acad2000.rx or desktop.rx file.


PDES

Bibliography
AutoCAD STEP 2010 > STEP Help >
PDES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Originally Product Data Exchange Specification, now Product Data Exchange using STEP. PDES is the ANSI version of STEP.


Options File Area

Bibliography
AutoCAD STEP 2010 > STEP Help >
Options File Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use these text boxes and buttons to locate, select, create and save options files for STEPOUT translations.

Options File

Shows the name of the currently selected options file, if there is one.

Description

Shows the description line in the selected options file. This is a text box; you can change its contents by clicking inside the box and typing the desired text in the box.

Browse button

Shows the description line in the selected options file. This is a text box; you can change its contents by clicking inside the box and typing the desired text in the box.

Default button

Restores all options in the specified options file to all default values supplied with the Translator. Note that this is different from the Defaults button, which is located above the options file area on each tabbed dialog and resets the values for that dialog box only.

OK button

Closes the current dialog box and returns to the STEPOUT dialog box. If you've made changes since the last save, an alert box is displayed. You can use the options without saving or canceling, but if you do so, those options are used for the current translation only.

Cancel button

Cancels the dialog box, ignores any changes, and redisplays the STEPOUT dialog box.

Save As button

Saves current option values to a new file or to a file you select.

Save button

Saves current values to the file named in the Options file text box.


Manifold Surface Model with Topology

Bibliography
AutoCAD STEP 2010 > STEP Help >
Manifold Surface Model with Topology
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A type of geometric model representation that represents the shape of a part or an aspect of the shape of a part using manifold surfaces with topology. 3D curves, surfaces and topology are used to define the outer boundary of the part. (ISO 10303-203: 1994)


manifold

Bibliography
AutoCAD STEP 2010 > STEP Help >
manifold
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In a manifold representation, every point on a model's surface can be completely covered by a two-dimensional ("flat") disk. In a non-manifold representation this limitation does not apply, which allows for conditions such as a wire extending from a point on a surface or more than two faces meeting along a common edge or at a point.


log file

Bibliography
AutoCAD STEP 2010 > STEP Help >
log file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An ASCII file that records all entities translated in or out, and all problems encountered. When produced by STEPIN operation, its file name extension is .xli; when produced by a STEPOUT operation, its file name extension is .xlo.


Line

Bibliography
AutoCAD STEP 2010 > STEP Help >
Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An AutoCAD line with no thickness maps to a STEP LINE orTRIMMED_CURVE. An AutoCAD line with thickness maps to a QUASI_UNIFORM_SURFACE.


"Invalid Argument" Error Message

Bibliography
AutoCAD STEP 2010 > STEP Help >
"Invalid Argument" Error Message
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Text of Message

Invalid argument

This error message is most often generated because the Translator is searching for an invalid directory in which to write its temporary files. To fix this problem, edit the autoexec.bat file to include the following statement:

SET PDELIB_TMP=C:\TEMP

As long as the C:\temp directory is a valid directory with available disk space, this will fix the problem of the Invalid argument error message.


Bibliography
AutoCAD STEP 2010
AutoCAD STEP 2010 >
STEP Help
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the navigation on the left to locate the desired help topic.


Translator

Bibliography
AutoCAD STEP 2010 > STEP Help >
Translator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD STEP Translator application itself.


Translation Type

Bibliography
AutoCAD STEP 2010 > STEP Help >
Translation Type
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Translation Type pulldown to select the type of file you want to translate. As long as the appropriate translators have been installed, you can choose to translate the current .dwg to IGES , STEP or VDAFS. Note that selecting a type of file to translate to also causes the appropriate translator (IGESOUT, STEPOUT, or VDAFSOUT, if present) to be used.

The text below the Translation Types edit box indicates:

  • the possible translation types (IGES, STEP, VDAFS).
  • the current options file and its directory path. Initially, the previously used options file (or the word *Defaults*) is displayed. To use a different options file, choose the Options button.


Temporary Files

Bibliography
AutoCAD STEP 2010 > STEP Help >
Temporary Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator creates and uses a few temporary files during translation. For storage of these temporary files, the Translator uses the directory specified by the TEMP environment variable, or the current directory if TEMP is not set. Large STEP files may require large amounts of temporary space to translate. If the Translator fails to complete a translation due to insufficient temporary disk space, you can either make more space available or redirect the Translator's temporary files to another disk with more space.

Setting the TEMP Environment Variable

You can choose any directory for the TEMP environment variable. However, the directory must exist before you set the variable.

For example, if you want the Translator to use a directory named temp on drive d: to store its temporary files, enter the following command in your autoexec.bat file.

SET TEMP=D:\TEMP

The change will take effect the next time you start AutoCAD.


Technical Committee 184, Subcommittee 4 (TC184/SC4)

Bibliography
AutoCAD STEP 2010 > STEP Help >
Technical Committee 184, Subcommittee 4 (TC184/SC4)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Technical Committee 184, Subcommittee 4 is the name of the ISO group responsible for STEP development.


Swap File Space Utilization

Bibliography
AutoCAD STEP 2010 > STEP Help >
Swap File Space Utilization
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Many AutoCAD swap files range from 70 - 150 MB in size. While these swap file sizes may be sufficient for most AutoCAD users, they can be used up quite easily during the course of a STEP translation. To ensure the Translator has ample virtual memory to complete the translation at hand, you may need to increase the size of the swap file from 100 - 150 MB to a higher value such as 250 - 300 MB. In Windows NT, a message is displayed that tells you to increase the amount of virtual memory available or close other tasks to free up more memory to complete the task. If this message is displayed, you probably don't have enough swap space and may need to increase it to complete the translation without running out of virtual memory.


Surfaces Become Invisible After Shading or Rendering

Bibliography
AutoCAD STEP 2010 > STEP Help >
Surfaces Become Invisible After Shading or Rendering
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When objects are shaded or rendered, AutoCAD, by default, does not display hidden surfaces and back faces in the model. A back face is the opposite, or "back" side of a face, which is not usually visible when you are viewing the face from the front. The purpose of discarding these elements is to improve performance. AutoCAD uses the normal on each face in a model to determine which is a front face and which is a back face.

Beginning with this release, Mechanical Desktop now also discards back faces by default. This can cause surfaces or solids to seem to disappear when back faces are viewed. However, this behavior also provides the extra value of letting users know very quickly what direction the surface normals are pointing. Complex surface models can, on occasion, have surfaces with inconsistently aligned surface normals. Now you can view these from the back and only the surfaces with inconsistently aligned surface normals will be visible, so you can select these surfaces and flip the normals if desired. There is no command available to flip normals for solids with undesirably aligned normals will need to be recreated with normals reversed.

If you don't want this new behavior, you can easily change the setting of this option so that back faces are not discarded by following these steps:

  1. Enter options at the command line or choose Assist | Options to display the Options dialog.
  2. Select the System tab and choose the Properties... button.
  3. Uncheck the Discard back faces box in the Backfaces area of the dialog.


STEP Translator Toolbar

Bibliography
AutoCAD STEP 2010 > STEP Help >
STEP Translator Toolbar
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The STEP Translator toolbar provides the tools you need to invoke the STEP Translator and locate entities and objects in translated files.

NoteThe STEP Translator ships with more tools than those represented on the STEP Translator toolbar. Some tools (such as ADXBATCH) cannot be invoked from a tool bar, since they run outside of the Mechanical Desktop/AutoCAD environment. Others are not included on the toolbar because they are used infrequently, or by a relatively small number of users. For a complete list of tools that ship with the STEP Translator, please see STEP Translator Tools List

Invokes the STEPIN command. See STEPIN Dialog Box for information about using STEPIN.

Invokes the STEPOUT command. See STEPOUT Dialog Box for information about using STEPOUT.

Lists the STEP instance ID of an AutoCAD object created by the Translator. See STEPLIST.

Finds an AutoCAD entity created from a specified STEP entity as indicated by its STEP instance id. See STEPFIND.


STEPOUT Mapping Table

Bibliography
AutoCAD STEP 2010 > STEP Help >
STEPOUT Mapping Table
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following table lists the AutoCAD and Mechanical Desktop objects along with their STEP entity mappings, broken down by Application Protocol and Conformance Class.

AutoCAD Entity | AP203 Class 2 | AP203 Class 4 | AP203 Class 6 | AP214 Class 2: CD and DIS
Angular dimension | Not supported |  |  |
AmdtApproval | CC_DESIGN_APPROVAL | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtApprovalPersonOrganization | APPROVAL_PERSON_ORGANIZATION | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtDateAndTime | DATE_AND_TIME | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtDateAndTimeAssignment | CC_DESIGN_DATE_AND_TIME_ASSIGNMENT | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtOrganization | ORGANIZATION | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtPerson | PERSON | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtPersonAndOrganization | PERSON_AND_ORGANIZATION | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtPersonAndOrganizationAssignment | PERSON_AND_ORGANIZATION_ASSIGNMENT | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtProduct | PRODUCT | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtProductCategory | PRODUCT_CATEGORY or PRODUCT_RELATED_PRODUCT_CATEGORY | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtProductCategoryRelationship | PRODUCT_CATEGORY_RELATIONSHIP | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtProductDefinition | PRODUCT_DEFINITION | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtProductDefinitionFormation | PRODUCT_DEFINITION_FORMATION_WITH_SPECIFIED_SOURCE | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtPropertyDefinition | PRODUCT_DEFINITION_SHAPE | Same as AP203 class2 | Same as AP203 class2 | Not supported
AmdtSecurityClassification | CC_DESIGN_SECURITY_CLASSIFICATION | Same as AP203 class2 | Same as AP203 class2 | Not supported
Arc | TRIMMED_CURVE with CIRCLE; For arcs with thickness, B_SPLINE_SURFACEs | Same as AP203 class2 | Same as AP203 class2 | Same as AP203 class2
Assembly, Sub-Assembly, Component | NEXT_ASSEMBLY_USAGE_OCCURRENCE with PRODUCT_DEFINITION_WITH_ASSOCIATED_DOCUMENTS | Same as AP203 class2 | Same as AP203 class2 | NEXT_ASSEMBLY_USAGE_OCCURRENCE with PRODUCT_DEFINITION
Attribute definition (Attdef) | Not supported |  |  |
Attribute (Attrib) | Not supported |  |  |
Augmented line | Not supported |  |  |
AutoSurf trimmed surface | See trimmed surface |  |  |
Block | PRODUCT_DEFINITION_WITH_ASSOCIATED_DOCUMENTS | Same as AP203 class2 | Same as AP203 class2 | PRODUCT_DEFINITION
Block reference (insert) | NEXT_ASSEMBLY_USAGE_OCCURRENCE | Same as AP203 class2 | Same as AP203 class2 | Same as AP203 class2
Body | One or more CURVE_BOUNDED_SURFACEs | Same as AP203 class2 | Same as AP203 class2 | Same as AP203 class2
Circle | CIRCLE | Same as AP203 class2 | Same as AP203 class2 | Same as AP203 class2
Color | Not supported | Same as AP203 class2 | Same as AP203 class2 | COLOUR_RGB Or DEFINED_COLOUR
Component | See Assembly |  |  |
Diameter dimension | Not supported |  |  |
Designer Part | See part |  |  |
Ellipse | TRIMMED_CURVE/ELLIPSE | Same as AP203 class2 | Same as AP203 class2 | Same as AP203 class2
Entity Grouping Tool group | Not supported |  |  |
External reference (Xref) | Same as block reference mapping | Same as AP203 class2 | Same as AP203 class2 | Same as AP203 class2
Group | Not supported | Same as AP203 class2 | Same as AP203 class2 | AUTO_DESIGN_GROUP_ASSIGNMENT (CD) , APPLIED_DESIGN_GROUP_ASSIGNMENT (DIS)
Hatch | Not supported |  |  |
Layer | Not supported | Same as AP203 class2 | Same as AP203 class2 | PRESENTATION_LAYER_ASSIGNMENT
Leader | Not supported | Not supported | Not supported | LEADER_DIRECTED_CALLOUT (AP214 DIS only)
Leader arrowheads | Not supported |  |  |
Line | TRIMMED_CURVE/LINE or QUASI_UNIFORM_ SURFACE | Same as AP203 class2 | Same as AP203 class2 | Same as AP203 class2
Linear dimension (horizontal, vertical, rotated, aligned) | Not supported |  |  |
Linetype | Not supported |  |  |
Mechanical Desktop Assembly, Sub-Assembly, Component | See assembly |  |  |
Mechanical Desktop Trimmed Surface | See trimmed surface |  |  |
Mline | Multiple mappings of line arc and spline based on the type of mline. | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2
Mtext | Not supported | Not supported | Not supported | COMPOSITE_TEXT_WITH_EXTENT
Named view (view) | Not supported |  |  |
Oleframe | Not supported |  |  |
Ole2frame | Not supported |  |  |
Ordinate dimension | Not supported |  |  |
Part | Same as 3D solid mapping |  |  |
Point | CARTESIAN_POINT | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2
Polyline (Polyface mesh) | Not supported |  |  |
Polyline (3D mesh) | Not supported |  |  |
Polyline (3D polyline) | Set of POLYLINEs, B_SPLINE_CURVEs or Set of B_SPLINE_SURFACEs | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2
Polyline (2D polyline) | Set of POLYLINEs, TRIMMED_CURVE/LINEs, TRIMMED_CURVE/CIRCLEs, B_SPLINE_CURVEs or Set of B_SPLINE_SURFACEs | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2
Polyline (lightweight) | Set of POLYLINEs and TRIMMED_CURVE/CIRCLEs or Set of B_SPLINE_SURFACEs | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2
Proxy Object | This entity is mapped into its constituent geometry. | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2
Radius dimension | Not supported |  |  |
Ray | TRIMMED_CURVE/LINE | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2
Region | CURVE_BOUNDED_ SURFACE | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2
Shape | Set of POLYLINEs and TRIMMED_CURVE/CIRCLEs | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2
Spline | B_SPLINE_CURVE | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2
Sub-Assembly | See Assembly |  |  |
Text , Default Font change | Not supported | Not supported | Not supported | TEXT_LITERAL (AP214 CD), TEXT_LITERAL_WITH_EXTENT (AP214 DIS)
3D face | B_SPLINE_SURFACE | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2
3D solid | CURVE_BOUNDED_SURFACE(s) | CLOSED_SHELL and ORIENTED_CLOSED_SHELL(s) | MANIFOLD_SOLID_BREP or BREP_WITH_VOIDS | MANIFOLD_SOLID_BREP or BREP_WITH_VOIDS
Tiled viewport | Not supported |  |  |
Tolerance | Not supported |  |  |
Trace and solid | B_SPLINE_SURFACE | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2
Trimmed surface | CURVE_BOUNDED_ SURFACE | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2
User Coordinate System (UCS) | Not supported |  |  |
Viewport (paper space) | Not supported |  |  |
Xline | TRIMMED_CURVE/LINE | Same as AP203 class 2 | Same as AP203 class 2 | Same as AP203 class 2


STEPOUT Log File Description

Bibliography
AutoCAD STEP 2010 > STEP Help >
STEPOUT Log File Description
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEPOUT translates the AutoCAD entities contained in the active .dwg file and places them in the .stp file specified in this dialog box. The Translator also creates a log file called filename.xlo, where filename is the name of the STEP file created. This log file contains text that describes the results of the translation process, divided into the following sections:

Identification Information

Date | date of translation
Time | time of translation
Translator Version | the version of the STEP Translator used for the translation
AutoCAD Version | the version of AutoCAD used for the translation
Log file | name of this log file
Translating from | name of the AutoCAD .DWG file containing entities being translated
Translating to | name of the STEP file in which translation results are placed

Messages

Specific error and informational messages regarding problems encountered during the translation process.

Summary

A count of the entities created in the STEP file during the translation process.


STEPIN Mapping Table

Bibliography
AutoCAD STEP 2010 > STEP Help >
STEPIN Mapping Table
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following table lists the STEP entities in the supported APs and conformance classes along with their mappings in AutoCAD and the Mechanical Desktop.

ENTITY LONG NAME/short name | AutoCAD/Mechanical Desktop Object
ACTION/action | Not supported. No equivalent in AutoCAD.
ACTION_ASSIGNMENT/actass | Not supported. No equivalent in AutoCAD.
ACTION_DIRECTIVE/actdrc | Not supported. No equivalent in AutoCAD.
ACTION_METHOD/actmth | Not supported. No equivalent in AutoCAD.
ACTION_REQUEST_ASSIGNMENT/acrqas | Not supported. No equivalent in AutoCAD.
ACTION_REQUEST_SOLUTION/acrqsl | Not supported. No equivalent in AutoCAD.
ACTION_REQUEST_STATUS/acrqst | Not supported. No equivalent in AutoCAD.
ACTION_STATUS/actsst | Not supported. No equivalent in AutoCAD.
ADDRESS/addrss | Not supported. No equivalent in AutoCAD.
ADVANCED_BREP_SHAPE_REPRESENTATION/absr | One or more 3D solids in AutoCAD, one or more parts in Mechanical Desktop.
ADVANCED_FACE/advfc | Dependent entity. Supported through other entities.
ALTERNATE_PRODUCT_RELATIONSHIP/alprrl | Not supported. No equivalent in AutoCAD.
APPLICATION_CONTEXT/appcnt | Not supported. No equivalent in AutoCAD.
APPLICATION_CONTEXT_ELEMENT/apcnel | Not supported. No equivalent in AutoCAD.
APPLICATION_PROTOCOL_DEFINITION/apprdf | Not supported. No equivalent in AutoCAD.
APPLIED_DESIGN_ACTUAL_DATE_ASSIGNMENT/adada (AP214 DIS only) | Not supported. No equivalent in AutoCAD.
APPLIED_DESIGN_ACTUAL_DATE_ASSIGNMENT/adada (AP214 DIS only) | Not supported. No equivalent in AutoCAD.
APPLIED_DESIGN_APPROVAL_ASSIGNMENT/adaa (AP214 DIS only) | Not supported. No equivalent in AutoCAD.
APPLIED_DESIGN_DATE_AND_PERSON_ASSIGNMENT/addapa (AP214 DIS only) | Not supported. No equivalent in AutoCAD.
APPLIED_DESIGN_DOCUMENT_REFERENCE/addr (AP214 DIS only) | Not supported. No equivalent in AutoCAD.
APPLIED_DESIGN_GROUP_ASSIGNMENT/adga (AP214 DIS only) | Group
APPLIED_DESIGN_NOMINAL_DATE_AND_TIME_ASSIGNMENT (AP214 DIS only)/adndat | Not supported. No equivalent in AutoCAD.
APPLIED_DESIGN_NOMINAL_DATE_ASSIGNMENT/adnda (AP214 DIS only) | Not supported. No equivalent in AutoCAD.
APPLIED_DESIGN_ORGANIZATION_ASSIGNMENT/adoa (AP214 DIS only) | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_PERSON_AND_ORGANIZATION_ASSIGNMENT/dp (AP214 DIS only)/ | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_PRESENTED_ITEM/adpi (AP214 CD only) | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_SECURITY_CLASSIFICATION_ASSIGNMENT/adsca (AP214 DIS only) | Not supported. No equivalent in AutoCAD.
APPROVAL/apprvl (AP203 only) | AmdtApproval in Mechanical Desktop. No equivalent in AutoCAD.
APPROVAL_ASSIGNMENT/appass (AP203 only) | AmdtApproval in Mechanical Desktop. No equivalent in AutoCAD.
APPROVAL_DATE_TIME/apdttm (AP203 only) | AmdtDateAndTime in Mechanical Desktop. No equivalent in AutoCAD.
APPROVAL_PERSON_ORGANIZATION/appror (AP203 only) | AmdtApprovalPersonOrganization in Mechanical Desktop. No equivalent in AutoCAD.
APPROVAL_RELATIONSHIP/apprlt | Not supported. No equivalent in AutoCAD.
APPROVAL_ROLE/apprl (AP203 only) | AmdtApproval in Mechanical Desktop. No equivalent in AutoCAD.
APPROVAL_STATUS/appstt (AP203 only) | AmdtApproval in Mechanical Desktop. No equivalent in AutoCAD.
AREA_IN_SET/arinst | Not supported.
AREA_MEASURE_WITH_UNIT/amwu | Not supported.
AREA_UNIT/arunt | Not supported.
ASSEMBLY_COMPONENT_USAGE/ascmus | Components and/or block references
ASSEMBLY_COMPONENT_USAGE_SUBSTITUTE/acus | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_ACTUAL_DATE_AND_TIME_ASSIGNMENT/adadat (AP214 CD only)/ | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_ACTUAL_DATE_ASSIGNMENT/adada (AP214 CD only) | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_APPROVAL_ASSIGNMENT/adaa (AP214 CD only) | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_DATE_AND_PERSON_ASSIGNMENT/addapa (AP214 CD only) | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_DOCUMENT_REFERENCE/addr (AP214 CD only) | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_GROUP_ASSIGNMENT/adga (AP214 CD only) | Group
AUTO_DESIGN_NOMINAL_DATE_AND_TIME_ASSIGNMENT/adndat (AP214 CD only) | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_NOMINAL_DATE_ASSIGNMENT/adnda (AP214 CD only)/ | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_ORGANIZATION_ASSIGNMENT/adoa (AP214 CD only) | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_PERSON_AND_ORGANIZATION_ASSIGNMENT/dp (AP214 CD only) | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_PRESENTED_ITEM/adpi (AP214 CD only) | Not supported. No equivalent in AutoCAD.
AUTO_DESIGN_SECURITY_CLASSIFICATION_ASSIGNMENT/adsca (AP214 CD only) | Not supported. No equivalent in AutoCAD.
AXIS1_PLACEMENT/ax1plc | Dependent entity. Supported through other entities.
AXIS2_PLACEMENT_2D/a2pl2d | Dependent entity. Supported through other entities.
AXIS2_PLACEMENT_3D/a2pl3d | Dependent entity. Supported through other entities.
B_SPLINE_CURVE/bspcr | Spline
B_SPLINE_CURVE_WITH_KNOTS/bscwk | Spline
B_SPLINE_SURFACE/bspsr | Mechanical Desktop surface in Desktop, body in AutoCAD.
B_SPLINE_SURFACE_WITH_KNOTS/bsswk | Mechanical Desktop surface in Desktop, body in AutoCAD.
BACKGROUND_COLOUR/bckclr | Not supported.
BEZIER_CURVE/bzrcrv | Spline
BEZIER_SURFACE/bzrsrf | Mechanical Desktop surface in Desktop, body in AutoCAD.
BLOCK/block | Not supported.
BOOLEAN_RESULT/blnsrl | Not supported.
BOUNDARY_CURVE/bndcr | Dependent entity. Supported through other entities.
BOUNDED_CURVE/bndcrv | Dependent entity. Supported through other entities.
BOUNDED_SURFACE/bndsrf | Dependent entity. Supported through other entities.
BOX_DOMAIN/bxdmn | Not supported.
BOXED_HALF_SPACE/bxhlsp | Not supported.
BREP_WITH_VOIDS/brwtvd | AutoCAD 3D solid, Mechanical Desktop part
CALENDAR_DATE/clndt | Not supported. No equivalent in AutoCAD.
CAMERA_IMAGE/cmrimg | Not supported.
CAMERA_IMAGE_2D_WITH_SCALE/ci2ws | Not supported.
CAMERA_IMAGE_3D_WITH_SCALE/ci3ws | Not supported.
CAMERA_MODEL/cmrmdl | Not supported.
CAMERA_MODEL_D2/cmmdd2 | Not supported.
CAMERA_MODEL_D3/cmmdd3 | Not supported.
CAMERA_USAGE/cmrusg | Not supported.
CARTESIAN_POINT/crtpnt | Point
CARTESIAN_TRANSFORMATION_OPERATOR/crtrop | Dependent entity. Supported through other entities.
CARTESIAN_TRANSFORMATION_OPERATOR_2D/cto2 | Dependent entity. Supported through other entities.
CARTESIAN_TRANSFORMATION_OPERATOR_3D/cto3 | Dependent entity. Supported through other entities.
CC_DESIGN_APPROVAL/ccdsap (AP203 only) | AmdtApproval in Mechanical Desktop. No equivalent in AutoCAD.
CC_DESIGN_CERTIFICATION/ccdscr | Not supported. No equivalent in AutoCAD.
CC_DESIGN_CONTRACT/ccdscn | Not supported. No equivalent in AutoCAD.
CC_DESIGN_DATE_AND_TIME_ASSIGNMENT/cddata (AP203 only) | AmdtDateAndTimeAssignment in Mechanical Desktop. No equivalent in AutoCAD.
CC_DESIGN_PERSON_AND_ORGANIZATION_ASSIGNMENT/cdpaoa (AP203 only) | AmdtPersonAndOrganizationAssignment in Mechanical Desktop. No equivalent in AutoCAD.
CC_DESIGN_SECURITY_CLASSIFICATION/cdsc (AP203 only) | AmdtSecurityClassification in Mechanical Desktop. No equivalent in AutoCAD.
CC_DESIGN_SPECIFICATION_REFERENCE/cds | Not supported. No equivalent in AutoCAD.
CERTIFICATION/crtfct | Not supported. No equivalent in AutoCAD.
CERTIFICATION_ASSIGNMENT/crtass | Not supported. No equivalent in AutoCAD.
CERTIFICATION_TYPE/crttyp | Not supported. No equivalent in AutoCAD.
CHANGE/change | Not supported. No equivalent in AutoCAD.
CHANGE_REQUEST/chnrqs | Not supported. No equivalent in AutoCAD.
CIRCLE/circle | Circle or arc
CLOSED_SHELL/clsshl | Mechanical Desktop surface(s) or AutoCAD body(s).
COLOUR/colour | Color property on entities.
COLOUR_RGB/clrrgb | Color property on entities.
COLOUR_SPECIFICATION/clrspc | Not supported.
COMPOSITE_CURVE/cmpcrv | One or more AutoCAD wireframe elements
COMPOSITE_CURVE_ON_SURFACE/ccos | Dependent entity. Supported through other entities.
COMPOSITE_CURVE_SEGMENT/cmcrsg | Dependent entity. Supported through other entities.
COMPOSITE_TEXT | Mtext
COMPOSITE_TEXT_WITH_EXTENT | Mtext
CONFIGURATION_DESIGN/cnfdsg | Not supported. No equivalent in AutoCAD.
CONFIGURATION_EFFECTIVITY/cnfeff | Not supported. No equivalent in AutoCAD.
CONFIGURATION_ITEM/cnfitm | Not supported. No equivalent in AutoCAD.
CONIC/conic | Supported through its subtypes of ellipse, hyperbola, etc.
CONICAL_SURFACE/cncsrf | Mechanical Desktop surface in Desktop, body in AutoCAD.
CONNECTED_EDGE_SET/cnedst | Not supported.
CONNECTED_FACE_SET/cnfcst | Supported through its subtypes open_shell and closed_shell.
CONTEXT_DEPENDENT_INVISIBILITY/cndpin | Not supported.
CONTEXT_DEPENDENT_OVER_RIDING_STYLED_ITEM/cdorsi | Dependent entity. Supported through other entities.
CONTEXT_DEPENDENT_SHAPE_REPRESENTATION/cdsr | Dependent entity. Supported through other entities.
CONTEXT_DEPENDENT_UNIT/cndpun | Not supported. No equivalent in AutoCAD.
CONTRACT/cntrct | Not supported. No equivalent in AutoCAD.
CONTRACT_ASSIGNMENT/cntass | Not supported. No equivalent in AutoCAD.
CONTRACT_TYPE/cnttyp | Not supported. No equivalent in AutoCAD.
CONVERSION_BASED_UNIT/cnbsun | Not supported. No equivalent in AutoCAD.
COORDINATED_UNIVERSAL_TIME_OFFSET/cuto | Not supported. No equivalent in AutoCAD.
CSG_SHAPE_REPRESENTATION/csshrp | Not supported.
CSG_SOLID/csgsld | Not supported.
CURVE/curve | Supported by subtypes.
CURVE_BOUNDED_SURFACE/crbnsr | Mechanical Desktop surface in Desktop, body in AutoCAD.
CURVE_REPLICA/crvrpl | Not supported.
CURVE_STYLE/crvsty | Not supported.
CURVE_STYLE_FONT/crstfn | Not supported.
CURVE_STYLE_FONT_PATTERN/csfp | Not supported.
CYLINDRICAL_SURFACE/cylsrf | Mechanical Desktop surface in Desktop, body in AutoCAD.
DATE/date (AP203 only) | AmdtDateAndTime in Mechanical Desktop. No equivalent in AutoCAD.
DATE_AND_TIME/dtantm (AP203 only) | AmdtDateAndTime in Mechanical Desktop. No equivalent in AutoCAD.
DATE_AND_TIME_ASSIGNMENT/data (AP203 only) | AmdtDateAndTimeAssignment in Mechanical Desktop. No equivalent in AutoCAD.
DATE_ASSIGNMENT/dtass (AP203 only) | AmdtDateAndTimeAssignment in Mechanical Desktop. No equivalent in AutoCAD.
DATE_ROLE/dtrl (AP203 only) | AmdtDateAndTimeAssignment in Mechanical Desktop. No equivalent in AutoCAD.
DATE_TIME_ROLE/dttmrl (AP203 only) | AmdtDateAndTimeAssignment in Mechanical Desktop. No equivalent in AutoCAD.
DATED_EFFECTIVITY/dtdeff | Not supported. No equivalent in AutoCAD.
DEFINITIONAL_REPRESENTATION/dfnrpr (AP203 only) | Dependent entity. Supported through other entities.
DEGENERATE_PCURVE/dgnpcr | Dependent entity. Supported through other entities.
DEGENERATE_TOROIDAL_SURFACE/dgtrsr | Not supported.
DERIVED_UNIT/drvunt | Not supported.
DERIVED_UNIT_ELEMENT/drunel | Not supported.
DESCRIPTIVE_REPRESENTATION_ITEM/dsrpit | Not supported. No equivalent in AutoCAD.
DESIGN_CONTEXT(AP214 CD only)/dsgcnt | Not supported. No equivalent in AutoCAD.
DESIGN_MAKE_FROM_RELATIONSHIP/dmfr | Not supported.
DIGITAL_DOCUMENT/dgtdcm | Not supported. No equivalent in AutoCAD.
DIMENSIONAL_EXPONENTS/dmnexp | Not supported. No equivalent in AutoCAD.
DIRECTED_ACTION/drcact | Not supported. No equivalent in AutoCAD.
DIRECTION/drctn | Dependent entity. Supported through other entities.
DOCUMENT/dcmnt | Not supported. No equivalent in AutoCAD.
DOCUMENT_REFERENCE/dcmrfr | Not supported. No equivalent in AutoCAD.
DOCUMENT_RELATIONSHIP/dcmrlt | Not supported. No equivalent in AutoCAD.
DOCUMENT_TYPE/dcmtyp | Not supported. No equivalent in AutoCAD.
DOCUMENT_USAGE_CONSTRAINT/dcuscn | Not supported. No equivalent in AutoCAD.
DOCUMENT_WITH_CLASS/dcwtcl | Not supported. No equivalent in AutoCAD.
DRAUGHTING_PRE_DEFINED_COLOUR/dpdc | property on entities.
DRAUGHTING_PRE_DEFINED_CURVE_FONT/dpdcf | Not supported.
EDGE/edge | Dependent entity. Supported through other entities.
EDGE_BASED_WIREFRAME_MODEL/ebwm | Not supported.
EDGE_BASED_WIREFRAME_SHAPE_REPRESENTATION/ebwsr | Not supported.
EDGE_CURVE/edgcrv | Dependent entity. Supported through other entities.
EDGE_LOOP/edglp | Dependent entity. Supported through other entities.
EFFECTIVITYeffctv | Not supported. No equivalent in AutoCAD.
ELEMENTARY_SURFACE/elmsrf | Subtypes supported.
ELLIPSE/ellps | Ellipse
EVALUATED_DEGENERATE_PCURVE/evdgpc | Dependent entity. Supported through other entities.
EXECUTED_ACTION/excact | Not supported. No equivalent in AutoCAD.
EXTERNAL_SOURCE/extsrc | Not supported. No equivalent in AutoCAD.
EXTERNALLY_DEFINED_CURVE_FONT/edcf | Not supported.
EXTERNALLY_DEFINED_ITEM/exdfit | Not supported.
EXTERNALLY_DEFINED_REPRESENTATION/exdfrp | Not supported.
EXTRUDED_AREA_SOLID/exarsl | Not supported.
FACE/face | Dependent entity. Supported through other entities.
FACE_BOUND/fcbnd | Dependent entity. Supported through other entities.
FACE_OUTER_BOUND/fcotbn | Dependent entity. Supported through other entities.
FACE_SURFACE/fcsrf | Dependent entity. Supported through other entities.
FACETED_BREP/fctbr | Not supported
FACETED_BREP_SHAPE_REPRESENTATION/fbsr | Not supported
FILL_AREA_STYLE_COLOUR/fasc | Color property on surfaces, solids.
FUNCTIONALLY_DEFINED_TRANSFORMATION/fndftr | Not supported.
GEOMETRIC_CURVE_SET/gmcrst | One or more AutoCAD wireframe elements
GEOMETRIC_REPRESENTATION_CONTEXT/gmrpcn | Dependent entity. Supported through other entities.
GEOMETRIC_REPRESENTATION_ITEM/gmrpit | Dependent entity. Supported through other entities.
GEOMETRIC_SET/gmtst | One or more AutoCAD wireframe and/or surface elements
GEOMETRICALLY_BOUNDED_SURFACE_SHAPE_REPRESENTATION/gbssr | Mechanical Desktop surface(s) in Desktop, body(ies) in AutoCAD.
GEOMETRICALLY_BOUNDED_SURFACE_WIREFRAME_SHAPE_REPRESENTATION/gbwsr | One or more AutoCAD wireframe elements.
GLOBAL_UNCERTAINTY_ASSIGNED_CONTEXT/gc | Not supported.
GLOBAL_UNIT_ASSIGNED_CONTEXT/guac | Not supported.
GROUP/group | Group
GROUP_ASSIGNMENT/grpass | Group
GROUP_RELATIONSHIP/grprlt | Not supported.
HALF_SPACE_SOLID/hlspsl | Not supported.
HYPERBOLA/hyprbl | Spline
INTERSECTION_CURVE/intcrv | Dependent entity. Supported through other entities.
INVISIBILITY/invsbl | Not supported.
ITEM_DEFINED_TRANSFORMATION/itdftr | Dependent entity. Supported through other entities.
LEADER_DIRECTED_CALLOUT (AP214 DIS only) | Leader
LENGTH_MEASURE_WITH_UNIT/lmwu | Not supported. No equivalent in AutoCAD.
LENGTH_UNIT/lngunt | Not supported. No equivalent in AutoCAD.
LINE/line | Line
LOCAL_TIME/lcltm | Not supported. No equivalent in AutoCAD.
LOOP/loop | Dependent entity. Supported through other entities.
LOT_EFFECTIVITY/lteff | Not supported. No equivalent in AutoCAD.
MAKE_FROM_USAGE_OPTION/mfuo | Not supported.
MANIFOLD_SOLID_BREP/mnslbr | 3D solid in AutoCAD, part in Mechanical Desktop
MANIFOLD_SURFACE_SHAPE_REPRESENTATION/mssr | Mechanical Desktop surface(s) in Desktop, body(ies) in AutoCAD.
MAPPED_ITEM/mppitm | Components and/or block references
MASS_MEASURE_WITH_UNIT/mmwu | Not supported. No equivalent in AutoCAD.
MASS_UNIT/mssunt | Not supported. No equivalent in AutoCAD.
MATERIAL_DESIGNATION/mtrdsg | Not supported. No equivalent in AutoCAD.
MATING_PRODUCT_DEFINITION/mtprdf | Not supported.
MEASURE_REPRESENTATION_ITEM/msrpit | Not supported. No equivalent in AutoCAD.
MEASURE_WITH_UNIT/mswtun | Not supported. No equivalent in AutoCAD.
MECHANICAL_CONTEXT/mchcnt (AP214 CD only) | Not supported. No equivalent in AutoCAD.
MECHANICAL_DESIGN_GEOMETRIC_PRESENTATION _AREA/mdgpa | Not supported.
MECHANICAL_DESIGN_GEOMETRIC_PRESENTATION_REPRESENTATION/mdgpr | Color property on entities
NAMED_UNIT/nmdunt | Not supported. No equivalent in AutoCAD.
NEXT_ASSEMBLY_USAGE_OCCURRENCE/nauo | Components and/or block references
OFFSET_CURVE_2D/ofcr2d | Spline
OFFSET_CURVE_3D/ofcr3d | Spline
OFFSET_SURFACE/offsrf | Mechanical Desktop surface in Desktop, body in AutoCAD.
OPEN_SHELL/opnshl | Mechanical Desktop surface(s) in Desktop, bodies in AutoCAD.
ORDINAL_DATE/orddt (AP203 only) | AmdtDateAndTime in Mechanical Desktop. No equivalent in AutoCAD.
ORGANIZATION/orgnzt (AP203 only) | AmdtOrganization in Mechanical Desktop. No equivalent in AutoCAD.
ORGANIZATION_ASSIGNMENT/orgass (AP203 only) | AmdtPersonAndOrganizationAssignment in Mechanical Desktop. No equivalent in AutoCAD.
ORGANIZATION_RELATIONSHIP/orgrlt | Not supported. No equivalent in AutoCAD.
ORGANIZATION_ROLE/orgrl (AP203 only) | AmdtPersonAndOrganizationAssignment in Mechanical Desktop. No equivalent in AutoCAD.
ORGANIZATIONAL_ADDRESS/orgadd | Not supported. No equivalent in AutoCAD.
ORGANIZATIONAL_PROJECT/orgprj | Not supported. No equivalent in AutoCAD.
ORIENTED_CLOSED_SHELL/orclsh | Dependent entity. Supported through other entities.
ORIENTED_EDGE/ornedg | Dependent entity. Supported through other entities.
ORIENTED_FACE/ornfc | Dependent entity. Supported through other entities.
ORIENTED_OPEN_SHELL/oropsh | Not supported.
ORIENTED_PATH/ornpth | Not supported.
OUTER_BOUNDARY_CURVE/otbncr | Dependent entity. Supported through other entities.
OVER_RIDING_STYLED_ITEM/orsi | Color property on entities.
PARABOLA/prbl | Spline
PARAMETRIC_REPRESENTATION_CONTEXT/prrpcn | Dependent entity. Supported through other entities.
PATH/path | Not supported.
PCURVE/pcurve | Dependent entity. Supported through other entities.
PERSON/person (AP203 only) | AmdtPerson in Mechanical Desktop. No equivalent in AutoCAD.
PERSON_AND_ORGANIZATION/pranor (AP203 only) | AmdtPersonAndOrganization in Mechanical Desktop. No equivalent in AutoCAD.
PERSON_AND_ORGANIZATION_ASSIGNMENT/pranor (AP203 only) | AmdtPersonAndOrganizationAssignment in Mechanical Desktop. No equivalent in AutoCAD.
PERSON_AND_ORGANIZATION_ROLE/paoa (AP203 only) | AmdtPersonAndOrganizationAssignment in Mechanical Desktop. No equivalent in AutoCAD.
PERSONAL_ADDRESS/paor | Not supported. No equivalent in AutoCAD.
PHYSICALLY_MODELLED_PRODUCT_DEFINITION/prsadd | Not supported. No equivalent in AutoCAD.
PLACEMENT/pmpd | Dependent entity. Supported through other entities.
PLANAR_BOX/plcmnt | Not supported.
PLANAR_EXTENT/plnext | Not supported.
PLANE/plane | Mechanical Desktop surface in Desktop, body in AutoCAD.
PLANE_ANGLE_MEASURE_WITH_UNIT/pamwu | Not supported. No equivalent in AutoCAD.
PLANE_ANGLE_UNIT/planun | Not supported. No equivalent in AutoCAD.
POINT/point | Supported via subtypes.
POINT_ON_CURVE/pnoncr | Dependent entity. Supported through other entities.
POINT_ON_SURFACE/pnonsr | Dependent entity. Supported through other entities.
POINT_REPLICA/pntrpl | Not supported.
POINT_STYLE/pntsty | Color property on a point,
POLY_LOOP/plylp | Dependent entity. Supported through other entities.
POLYLINE/plyln | Point, Line or Polyline
PRE_DEFINED_COLOUR/prdfcl | Color property on entities.
PRE_DEFINED_CURVE_FONT/pdcf | Not supported.
PRE_DEFINED_ITEM/prdfit | Not supported.
PRESENTATION_AREA/prsar | Not supported.
PRESENTATION_LAYER_ASSIGNMENT/prlyas | Layer property on entities.
PRESENTATION_LAYER_USAGE/prlyus | Not supported.
PRESENTATION_REPRESENTATION/prsrpr | Not supported.
PRESENTATION_SET/prsst | Not supported.
PRESENTATION_SIZE/prssz | Not supported.
PRESENTATION_STYLE_ASSIGNMENT/prstas | Color property on entities.
RESENTATION_STYLE_BY_CONTEXT/psbc | Not supported.
PRESENTATION_VIEW/prsvw | Not supported.
PRESENTED_ITEM/prsitm | Not supported.
PRESENTED_ITEM_REPRESENTATION/pritrp | Not supported.
PRODUCT/prdct (AP203 only) | Components and/or block references in AutoCAD, AmdtProduct in Mechanical Desktop.
PRODUCT_CATEGORY/prdctg (AP203 only) | AmdtProductCategory in Mechanical Desktop. No equivalent in AutoCAD.
PRODUCT_CATEGORY_RELATIONSHIP/prctrl (AP203 only) | AmdtProductCategoryRelationship in Mechanical Desktop. No equivalent inAutoCAD.
PRODUCT_CONCEPT/prdcnc | Not supported. No equivalent in AutoCAD.
PRODUCT_CONCEPT_CONTEXT/prcncn | Not supported. No equivalent in AutoCAD.
PRODUCT_CONTEXT/prdcnt | Not supported. No equivalent in AutoCAD.
PRODUCT_DEFINITION/prddfn (AP203 only) | Components and/or block references in AutoCAD, AmdtProductDefinition in Mechanical Desktop.
PRODUCT_DEFINITION_CONTEXT/prdfcn (AP203 only) | AmdtProductDefinition in Mechanical Desktop. No equivalent in AutoCAD.
PRODUCT_DEFINITION_EFFECTIVITY/prdfef | Not supported. No equivalent in AutoCAD.
PRODUCT_DEFINITION_FORMATION/prdffr (AP203 only) | Dependent entity. Supported through other entities andAmdtProductDefinitionFormation in Mechanical Desktop.
PRODUCT_DEFINITION_FORMATION_WITH_SPECIFIED_SOURCE/pdfwss (AP203 only) | Dependent entity. Supported through other entities andAmdtProductDefinitionFormation in Mechanical Desktop.
PRODUCT_DEFINITION_RELATIONSHIP/prdfrl | Components and/or block references
PRODUCT_DEFINITION_SHAPE/prdfsh | Dependent entity. Supported through other entities and AmdtPropertyDefinitionin Mechanical Desktop.
PRODUCT_DEFINITION_USAGE/prdfus (AP203 only) | Supported through its subtypes.
PRODUCT_DEFINITION_WITH_ASSOCIATED_DOCUMENTS/pdwad (AP203 only) | Components and/or block references in AutoCAD, AmdtProductDefinition in Mechanical Desktop.
PRODUCT_RELATED_PRODUCT_CATEGORY/prpc (AP203 only) | AmdtProductCategory in Mechanical Desktop. No equivalent in AutoCAD.
PRODUCT_TYPE/prdtyp | Not supported. No equivalent in AutoCAD.
PROMISSORY_USAGE_OCCURRENCE/prusoc | Components and/or block references
PROPERTY_DEFINITION/prpdfn | Dependent entity. Supported through other entities in AutoCAD,AmdtPropertyDefinition in Mechanical Desktop (AP203 only).
PROPERTY_DEFINITION_REPRESENTATION/prdfrp | Dependent entity. Supported through other entities.
QUANTIFIED_ASSEMBLY_COMPONENT_USAGE/qacu | Components and/or block references
QUASI_UNIFORM_CURVE/qsuncr | Spline
QUASI_UNIFORM_SURFACE/qsunsr | Mechanical Desktop surface in Desktop, body in AutoCAD.
RATIO_MEASURE_WITH_UNIT/rmwu | Not supported. No equivalent in AutoCAD.
RATIO_UNIT/rtunt | Not supported. No equivalent in AutoCAD.
RATIONAL_B_SPLINE_CURVE/rbsc | Spline
RATIONAL_B_SPLINE_CURVE_WITH_KNOTS/ | Spline
RATIONAL_B_SPLINE_SURFACE/rbss | Mechanical Desktop surface in Desktop, body in AutoCAD.
RATIONAL_B_SPLINE_SURFACE_WITH_KNOTS/ | Mechanical Desktop surface in Desktop, body in AutoCAD.
RATIONAL_BEZIER_CURVE/ | Spline
RATIONAL_BEZIER_SURFACE/ | Mechanical Desktop surface in Desktop, body in AutoCAD.
RATIONAL_QUASI_UNIFORM_CURVE/ | Spline
RATIONAL_QUASI_UNIFORM_SURFACE/ | Mechanical Desktop surface in Desktop, body in AutoCAD.
RATIONAL_UNIFORM_CURVE/ | Spline
RATIONAL_UNIFORM_SURFACE/ | Mechanical Desktop surface in Desktop, body in AutoCAD.
RECTANGULAR_COMPOSITE_SURFACE/rccmsr | Mechanical Desktop surface in Desktop, body in AutoCAD.
RECTANGULAR_TRIMMED_SURFACE/rctrsr | Mechanical Desktop surface in Desktop, body in AutoCAD.
REP_ITEM_GROUP/rpitgr | Not supported.
REPARAMETRISED_COMPOSITE_CURVE_SEGMENT/rccs | Not supported. No equivalent in AutoCAD.
REPRESENTATION/rprsnt | Dependent entity. Supported through other entities.
REPRESENTATION_CONTEXT/rprcnt | Dependent entity. Supported through other entities.
REPRESENTATION_ITEM/rpritm | Dependent entity. Supported through other entities.
REPRESENTATION_MAP/rprmp | Dependent entity. Supported through other entities.
REPRESENTATION_RELATIONSHIP/rprrlt | Dependent entity. Supported through other entities.
REPRESENTATION_RELATIONSHIP_WITH_TRANSFORMATION/rrwt | Dependent entity. Supported through other entities.
REVOLVED_AREA_SOLID/rvarsl | Not supported.
RIGHT_ANGULAR_WEDGE/rganwd | Not supported.
RIGHT_CIRCULAR_CONE/rgcrcn | Not supported.
RIGHT_CIRCULAR_CYLINDER/rgcrcy | Not supported.
SEAM_CURVE/smcrv | Dependent entity. Supported through other entities.
SECURITY_CLASSIFICATION/scrcls (AP203 only) | AmdtSecurityClassification in Mechanical Desktop. No equivalent in AutoCAD.
SECURITY_CLASSIFICATION_ASSIGNMENT/scclas (AP203 only) | AmdtSecurityClassification in Mechanical Desktop. No equivalent in AutoCAD.
SECURITY_CLASSIFICATION_LEVEL/sccllv (AP203 only) | AmdtSecurityClassification in Mechanical Desktop. No equivalent in AutoCAD.
SERIAL_NUMBERED_EFFECTIVITY/srnmef | Not supported. No equivalent in AutoCAD.
SHAPE_ASPECT/shpasp | Dependent entity. Supported through other entities.
SHAPE_ASPECT_RELATIONSHIP/shasrl | Not supported.
SHAPE_ASPECT_TRANSITION/shastr | Not supported.
SHAPE_DEFINITION_REPRESENTATION/shdfrp | Dependent entity. Supported through other entities.
SHAPE_REPRESENTATION/shprpr | Dependent entity. Supported through other entities.
SHAPE_REPRESENTATION_RELATIONSHIP/shrprl | Dependent entity. Supported through other entities.
SHELL_BASED_SURFACE_MODEL/sbsm | Mechanical Desktop surface(s) in Desktop, Body(s) in AutoCAD.
SHELL_BASED_WIREFRAME_MODEL/sbwm | Not supported.
SHELL_BASED_WIREFRAME_SHAPE_REPRESENTATION/sbwsr | Not supported.
SI_UNIT/sunt | Not supported. No equivalent in AutoCAD.
SOLID_ANGLE_MEASURE_WITH_UNIT/samwu | Not supported. No equivalent in AutoCAD.
SOLID_ANGLE_UNIT/slanun | Not supported. No equivalent in AutoCAD.
SOLID_MODEL/sldmdl | Only manifold_solidbrep subtype supported.
SOLID_REPLICA/sldrpl | Not supported.
SPECIFIED_HIGHER_USAGE_OCCURRENCE/shuo | Components and/or block references
SPHERE/sphere | Not supported.
SPHERICAL_SURFACE/sphsrf | Mechanical Desktop surface in Desktop, body in AutoCAD.
START_REQUEST/strrqs | Not supported. No equivalent in AutoCAD.
START_WORK/strwrk | Not supported. No equivalent in AutoCAD.
STYLED_ITEM/styitm | Color property on entities.
SUPPLIED_PART_RELATIONSHIP/spprrl | Not supported.
SURFACE/srfc | Supported through its subtypes.
SURFACE_CURVE/srfcrv | Dependent entity. Supported through other entities.
SURFACE_OF_LINEAR_EXTRUSION/sl | Mechanical Desktop surface in Desktop, body in AutoCAD.
SURFACE_OF_REVOLUTION/srofrv | Mechanical Desktop surface in Desktop, body in AutoCAD.
SURFACE_PATCH/srfptc | Dependent entity. Supported through other entities.
SURFACE_REPLICA/srfrpl | Not supported.
SURFACE_SIDE_STYLE/srsdst | Dependent entity. Supported through other entities.
SURFACE_STYLE_BOUNDARY/srstbn | Not supported.
SURFACE_STYLE_CONTROL_GRID/sscg | Not supported.
SURFACE_STYLE_FILL_AREA/ssfa | Color property on entities.
SURFACE_STYLE_PARAMETER_LINE/sspl | Not supported.
SURFACE_STYLE_SEGMENTATION_CURVE/sssc | Not supported.
SURFACE_STYLE_SILHOUETTE/srstsl | Not supported.
SURFACE_STYLE_USAGE/srstus | Dependent entity. Supported through other entities.
SWEPT_AREA_SOLID/swarsl | Not supported.
SWEPT_SURFACE/swpsrf | Supported via its subtypes.
TEMPLATE/tmplt | Not supported. No equivalent in AutoCAD.
TEMPLATE_INSTANCE/tmpins | Not supported. No equivalent in AutoCAD.
TEXT_LITERAL | Mtext
TEXT_LITERAL_WITH_EXTENT (AP214 DIS only) | Mtext
TIME_MEASURE_WITH_UNIT/tmwu | Not supported. No equivalent in AutoCAD.
TIME_UNIT/tmunt | Not supported. No equivalent in AutoCAD.
TOPOLOGICAL_REPRESENTATION_ITEM/tprpit | Supported via its subtypes
TOROIDAL_SURFACE/trdsrf | Mechanical Desktop surface in Desktop, body in AutoCAD.
TORUS/torus | Not supported.
TRANSITIONAL_SHAPE_REPRESENTATION/trshrp | Not supported.
TRIMMED_CURVE/trmcrv | Dependent entity. Supported through other entities.
UNCERTAINTY_MEASURE_WITH_UNIT/umwu | Not supported.
UNIFORM_CURVE/unfcrv | Spline
UNIFORM_SURFACE/unfsrf | Mechanical Desktop surface in Desktop, body in AutoCAD.
VECTOR/vector | Not supported.
VERSIONED_ACTION_REQUEST/vracrq | Not supported. No equivalent in AutoCAD.
VERTEX/vertex | Dependent entity. Supported through other entities.
VERTEX_LOOP/vrtlp | Dependent entity. Supported through other entities.
VERTEX_POINT/vrtpnt | Dependent entity. Supported through other entities.
VERTEX_SHELL/vrtshl | Dependent entity. Supported through other entities.
VIEW_VOLUME/vwvlm | Not supported.
VOLUME_MEASURE_WITH_UNIT/vmwu | Not supported. No equivalent in AutoCAD.
VOLUME_UNIT/vlmunt | Not supported. No equivalent in AutoCAD.
WEEK_OF_YEAR_AND_DAY_DATE/woyadd (AP203 only) | AmdtDateAndTime in Mechanical Desktop. No equivalent in AutoCAD.
WIRE_SHELL/wrshl | Not supported.


Solid Model

Bibliography
AutoCAD STEP 2010 > STEP Help >
Solid Model
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A three-dimensional object with a well-defined inside and outside separated by a two-dimensional boundary. (ISO 10303-203: 1994)


Short names (STEP entities)

Bibliography
AutoCAD STEP 2010 > STEP Help >
Short names (STEP entities)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD STEP Translator supports the import of short names of STEP entities as well as the standard long names. These six-character short names are defined in ISO 10303-203: 1994 (E). On export, only long names are supported.


Running Standalone Tools

Bibliography
AutoCAD STEP 2010 > STEP Help >
Running Standalone Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The degtools directory contains standalone executable tools. You run these tools independently of AutoCAD by entering the command name at the operating system prompt.

If you want to be able to run these tools from any directory, include the degtools directory in your command search path. Alternatively, you can copy these tools to a directory that is in your command search path. For details on how to specify a search path, see your operating system documentation.


Polylines

Bibliography
AutoCAD STEP 2010 > STEP Help >
Polylines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When the polyline has thickness, it is mapped to a set of B_SPLINE_SURFACEs.


Point, Line or Polyline

Bibliography
AutoCAD STEP 2010 > STEP Help >
Point, Line or Polyline
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Point if only one point in STEP entity, line for two points, polyline otherwise.


PDES Incorporated

Bibliography
AutoCAD STEP 2010 > STEP Help >
PDES Incorporated
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A U. S.-based multinational consortium of suppliers and users of data exchange technology who are contributing to the development of STEP. See also PDES, IPO and STEP.


Options File Area

Bibliography
AutoCAD STEP 2010 > STEP Help >
Options File Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use these text boxes and buttons to locate, select, create and save options files for STEPIN translations.

Options File

Shows the name of the currently selected options file, if there is one.

Description

Shows the description line in the selected options file. This is a text box; you can change its contents by clicking inside the box and typing the desired text in the box.

Browse button

Shows the description line in the selected options file. This is a text box; you can change its contents by clicking inside the box and typing the desired text in the box.

Default button

Restores all options in the specified options file to all default values supplied with the Translator. Note that this is different from the Defaults button, which is located above the options file area on each tabbed dialog and resets the values for that dialog box only.

OK button

Closes the current dialog box and returns to the STEPIN dialog box. If you've made changes since the last save, an alert box is displayed. You can use the options without saving or canceling, but if you do so, those options are used for the current translation only.

Cancel button

Cancels the dialog box, ignores any changes, and redisplays the STEPIN dialog box.

Save As button

Saves current option values to a new file or to a file you select.

Save button

Saves current values to the file named in the Options file text box.


object

Bibliography
AutoCAD STEP 2010 > STEP Help >
object
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

One of more primitives such as text, dimensions, line, circle or polyline, treated as a single element for creation, manipulation and modification. Also called entity.


Mechanical Desktop Assembly

Bibliography
AutoCAD STEP 2010 > STEP Help >
Mechanical Desktop Assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The NEXT_ASSEMBLY_USAGE_OCCURRENCE item positions component within assemblies. The component/sub-assemblies themselves are defined by the PRODUCT_DEFINITION _WITH_ASSOCIATED_DOCUMENTS entities. The export of Mechanical Desktop instance names for assemblies is now supported.


Look In

Bibliography
AutoCAD STEP 2010 > STEP Help >
Look In
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Look in: pulldown to locate and select the directory containing the STEP file you want to translate. The contents of the directory selected in the pulldown are shown in the display area below.

If you single-click on a filename in display area, the file is selected for translation, and its name is displayed in the File Name: text box.

To launch the translation using the default options, click the Open button.

To specify different options, click the Options button to display the stepin options dialogs. Once options are selected, you can return to the STEPIN dialog and click Open to launch the translation.

NoteIf you double-click on the filename in the Look In: pulldown, the translation is launched with the default options.


long names (STEP entities)

Bibliography
AutoCAD STEP 2010 > STEP Help >
long names (STEP entities)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD STEP Translator supports the import of short names of STEP entities as well as the standard long names. These six-character short names are defined in ISO 10303-203:1994(E). On export, only long names are supported.


Layer (STEPOUT mappings)

Bibliography
AutoCAD STEP 2010 > STEP Help >
Layer (STEPOUT mappings)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEPOUT supports the mapping of AutoCAD and Mechanical Desktop layer information using the STEP PRESENTATION_LAYER_ASSIGNMENT entity.

NoteSTEPOUT supports the mapping of AutoCAD and Mechanical Desktop layer information using the STEP PRESENTATION_LAYER_ASSIGNMENT entity.


Layer (STEPIN mappings)

Bibliography
AutoCAD STEP 2010 > STEP Help >
Layer (STEPIN mappings)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEPIN supports the mapping of layer names in the input STEP file into AutoCAD and the Mechanical Desktop using the STEP PRESENTATION_LAYER_ASSIGNMENT entity. For STEP layer names that contain spaces, STEPIN replaces these spaces with underbar ( _ ) characters.


IPO

Bibliography
AutoCAD STEP 2010 > STEP Help >
IPO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES/PDES Organization, which is responsible for the development of data exchange standards (for example, IGES). IPO participates as one of the U.S. contributors for STEP.


Advanced Boundary Representation

Bibliography
AutoCAD STEP 2010 > STEP Help >
Advanced Boundary Representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The representation of a part using advanced boundary representation solid models. Allows for the definition of curves and surfaces and the topology that bounds them. Boundaries are explicitly defined only by topology. All of the geometry that defines the part's shape is associated with topology. (ISO 10303-203: 1994)


About Translator Tools

Bibliography
AutoCAD STEP 2010 > STEP Help >
About Translator Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

THE SOFTWARE CONTAINED IN THIS TOOLS DIRECTORY IS BEING PROVIDED "AS IS" ANDHAS BEEN ONLY MARGINALLY TESTED BY AUTODESK QUALITY ASSURANCE. AUTODESK DOES NOTWARRANT THIS SOFTWARE IN ANY MANNER. NEITHER AUTODESK NOR ITS DEALERS OFFERSUPPORT FOR THIS SOFTWARE, BUT USERS MAY CONTACT AUTODESK IF QUESTIONS ORPROBLEMS ARISE.

© Copyright 1992-2006 Autodesk, Inc. All rights reserved.


3D Solid

Bibliography
AutoCAD STEP 2010 > STEP Help >
3D Solid
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An AutoCAD 3D Solid maps to one or more CURVE_BOUNDED_SURFACEs if AP203 class2 is selected.

An AutoCAD 3D Solid maps to a CLOSED_SHELL and possibly one or moreORIENTED_CLOSED_SHELLS if AP203 class 4 is selected. ORIENTED_CLOSED_SHELLS are output if the 3D solid contains voids.

An AutoCAD 3D Solid maps to either a MANIFOLD_SOLID_BREP or BREP_WITH_VOIDS ifAP203 class 6 or AP214 is selected. It maps to a BREP_WITH_VOIDS if the 3Dsolid contains solid voids.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!